Bug 214864 - [exp-run] test build with lld as /usr/bin/ld
Summary: [exp-run] test build with lld as /usr/bin/ld
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords: needs-qa
Depends on: 226975 226980 230210 230213 230603 230609 230627 230994 233412 233413 233707 233740 218399 218808 219089 219716 219758 220580 221727 221766 221778 221800 221801 221802 221803 221807 221808 221809 221811 222172 223680 223688 223776 224442 224514 224673 225849 226872 226970 226971 226972 226973 226976 226977 226978 226979 226984 226985 226986 226987 226988 226989 226990 226991 226992 226993 226994 226995 226996 226997 226998 226999 228531 228613 228637 228639 228640 230207 230208 230212 230214 230215 230239 230602 230604 230608 231431 231459 231524
Blocks: 201763 229050 231027
  Show dependency treegraph
 
Reported: 2016-11-27 00:07 UTC by Ed Maste
Modified: 2018-12-13 13:01 UTC (History)
16 users (show)

See Also:
koobs: exp-run?


Attachments
patch to enable lld on all architectures (995 bytes, patch)
2016-11-27 00:07 UTC, Ed Maste
no flags Details | Diff
always enable lld as bootstrap and installed system linker (1.81 KB, patch)
2017-04-03 13:09 UTC, Ed Maste
no flags Details | Diff
Add LLD_UNSAFE to force use of ld.bfd when ld is lld (1018 bytes, patch)
2017-08-17 15:51 UTC, Ed Maste
no flags Details | Diff
set LLD_UNSAFE as appropriate and other lld ports fixes/workarounds (3.02 KB, patch)
2017-08-22 20:44 UTC, Ed Maste
no flags Details | Diff
set LLD_UNSAFE and other lld fixes (3.20 KB, patch)
2017-08-22 21:14 UTC, Ed Maste
no flags Details | Diff
updated patch for src.opts.mk (1.31 KB, patch)
2017-09-01 15:37 UTC, Kirill Ponomarev
no flags Details | Diff
updated patch for all broken ports without LLD_UNSAFE (9.14 KB, patch)
2017-09-03 21:16 UTC, Kirill Ponomarev
no flags Details | Diff
patch libtool to pass through -fuse-ld= (756 bytes, patch)
2017-09-04 12:30 UTC, Ed Maste
no flags Details | Diff
Enable LLD options on i386 (466 bytes, patch)
2018-05-31 14:09 UTC, Ed Maste
no flags Details | Diff
Updated diff to enable i386 LLD_IS_LD (570 bytes, patch)
2018-07-30 14:39 UTC, Ed Maste
no flags Details | Diff
add -Wl,-z,notext to the top failing i386 lld ports (2.47 KB, patch)
2018-08-01 18:56 UTC, Ed Maste
no flags Details | Diff
port patches to add -Wl,-znotext for i386 (3.80 KB, patch)
2018-09-17 15:23 UTC, Ed Maste
no flags Details | Diff
failing port list (891 bytes, text/plain)
2018-11-26 21:11 UTC, Ed Maste
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2016-11-27 00:07:03 UTC
Created attachment 177426 [details]
patch to enable lld on all architectures

Attached patch enables LLVM's LLD linker as /usr/bin/ld on all architectures. I'd like to see an exp-run with this change. I expect some significant fallout from this but it will help determine possible next steps with lld.
Comment 1 Antoine Brodin freebsd_committer 2016-11-29 10:45:09 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR214864-default&build=2016-11-28_20h38m13s

701 failures, 11958 ports skipped

Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2016-11-29_09h26m01s

940 failures, 22273 ports skipped
Comment 2 Ed Maste freebsd_committer 2016-11-29 13:59:00 UTC
Thanks Antoine.

For my future reference, the amd64 ports responsible for >= 100 other skipped ports are:


#	Package	Origin	Phase	Skipped	Log
2	libXau-1.0.8_3	x11/libXau	configure	2594	configure_error
3	libXdmcp-1.1.2	x11/libXdmcp	configure	2044	configure_error
6	libICE-1.0.9_1,1	x11/libICE	configure	1763	configure_error
7	libfontenc-1.1.3	x11-fonts/libfontenc	configure	1549	configure_error
4	libxshmfence-1.2	x11/libxshmfence	configure	1494	configure_error
32	ruby-2.2.6,1	lang/ruby22	build	1354	coredump
35	pear-1.10.1	devel/pear	stage	457	???
386	ghc-7.10.2_1	lang/ghc	build	455	???
5	makedepend-1.0.5,1	devel/makedepend	configure	340	configure_error
27	glib-2.46.2_4	devel/glib20	configure	302	configure_error
1	boehm-gc-7.6.0	devel/boehm-gc	configure	243	configure_error
41	icu-58.1,1	devel/icu	build	209	???
20	p11-kit-0.23.2	security/p11-kit	configure	148	configure_error
26	postgresql93-client-9.3.15_1	databases/postgresql93-client	build	146	???
22	fontconfig-2.12.1,1	x11-fonts/fontconfig	configure	141	configure_error
24	jpeg-turbo-1.5.1	graphics/jpeg-turbo	build	141	linker_error
14	go-1.7.3,1	lang/go	build	110	???

The x11 libs and some others (x11/libXau x11/libXdmcp x11/libICE x11-fonts/libfontenc x11/libxshmfence devel/makedepend devel/glib20 x11-fonts/fontconfig devel/libthai security/razorback-api graphics/libqrencode) fail for a somewhat odd pkg-config error:

checking for XDMCP... configure: error: in `/wrkdirs/usr/ports/x11/libXdmcp/work/libXdmcp-1.1.2':
configure: error: The pkg-config script could not be found or is too old.  Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.

These are responsible for the vast majority of skipped ports. A sampling of other failures from the above showed little commonality between reasons for failure.

i386 results include the x11 libs and related, but i386 has two additional failures that overshadow the rest:

#	Package	Origin	Phase	Skipped	Log
16	perl5-5.24.1.r4	lang/perl5.24	build	8258	coredump
1	libffi-3.2.1	devel/libffi	build	7403	linker_error

perl's failure looks like:

LD_LIBRARY_PATH=/wrkdirs/usr/ports/lang/perl5.24/work/perl-5.24.1-RC4 ./miniperl -w -Ilib -Idist/Exporter/lib -MExporter -e '<?>' || sh -c 'echo >&2 Failed to build miniperl.  Please run make minitest; exit 1'
Segmentation fault (core dumped)
Failed to build miniperl. Please run make minitest

libffi's failure looks like:

libtool: link: cc -shared  -fPIC -DPIC -o .libs/libffi.so.6.0.4  src/.libs/prep_cif.o src/.libs/types.o src/.libs/raw_api.o src/.libs/java_raw_api.o src/.libs/closures.o src/x86/.libs/ffi.o src/x86/.libs/freebsd.o src/x86/.libs/win32.o    -O2 -fstack-protector -fstack-protector  
can't create dynamic relocation R_386_32 against readonly segment
can't create dynamic relocation R_386_32 against readonly segment
can't create dynamic relocation R_386_32 against readonly segment
can't create dynamic relocation R_386_32 against readonly segment
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 3 Ed Maste freebsd_committer 2016-11-29 20:41:58 UTC
pkgconf issue is caused by DT_NEEDED which ends up with "./.libs/libpkgconf.so" not "libpkgconf.so.1"

This was fixed by https://reviews.llvm.org/D24363 which made it into 3.9.1.
Comment 4 Ed Maste freebsd_committer 2017-03-27 16:03:46 UTC
After the update to 4.0.0 LLD should be able to link more software, and the hack to fool libtool into treating LLD as GNU ld (committed as r316029) should work around many issues, so I would like to request another exp-run.
Comment 5 Antoine Brodin freebsd_committer 2017-04-03 12:41:58 UTC
Can you refresh the patch?  it fails to apply
Comment 6 Ed Maste freebsd_committer 2017-04-03 13:09:15 UTC
Created attachment 181427 [details]
always enable lld as bootstrap and installed system linker
Comment 7 Antoine Brodin freebsd_committer 2017-04-03 15:47:46 UTC
On i386,  binaries fail to run.
Comment 8 Ed Maste freebsd_committer 2017-04-05 00:33:04 UTC
(In reply to Antoine Brodin from comment #7)
> On i386,  binaries fail to run.

Sorry about that. (I have been focusing only on amd64 so far. I expect to use amd64 to shake out both MD and MI issues with LLD, and intend to tackle i386 MD issues as a second step, but I wasn't expecting an outright failure like this.)
Comment 10 Ed Maste freebsd_committer 2017-04-05 13:59:23 UTC
Thanks Antoine.

For posterity, the top failing ports sorted by transitive skipped ports are:

openal-soft-1.17.2_1	audio/openal-soft	build	145	linker_error
libunwind-20121006_2	devel/libunwind	build	117	linker_error
libreoffice-5.2.6	editors/libreoffice	build	112	???
fpc-3.0.2	lang/fpc	build	109	???
gl2ps-1.3.9	print/gl2ps	build	101	???
emacs25-25.1,3	editors/emacs	build	79	coredump
gcc6-aux-20170202_1	lang/gcc6-aux	configure	54	configure_error
mono-4.6.2.7	lang/mono	build	49	linker_error
arj-3.10.22_4	archivers/arj	build	31	process_failed
libxine-1.2.6_10	multimedia/libxine	build	11	linker_error

openal-soft, libunwind, and libxine are of the form:

/usr/bin/ld: error: /wrkdirs/usr/ports/audio/openal-soft/work/openal-soft-1.17.2/utils/openal-info.c:(function main): cannot preempt symbol 'alcIsExtensionPresent' defined in libopenal.so.1.17.2
Comment 11 Ed Maste freebsd_committer 2017-04-05 14:16:30 UTC
How many ports built successfully?

The Poudriere status shows:
Queued 	1660
Built 	0
Failed 	270
Skipped 963
Ignored 427
Remaining 0

Failed/Skipped/Ignored are consistent with the results in the body, but I would like to know what fraction of ports did build.
Comment 12 Antoine Brodin freebsd_committer 2017-04-05 14:32:24 UTC
(In reply to Ed Maste from comment #11)
25290 were successfully built
Comment 13 Antoine Brodin freebsd_committer 2017-04-05 18:38:15 UTC
There were around 50 go ports failure of the form:

fatal error: unexpected signal during runtime execution
[signal SIGBUS: bus error code=0xc addr=0x453a10 pc=0x800a9cf41]

runtime stack:
runtime.throw(0x89fcb3, 0x2a)
	/usr/local/go/src/runtime/panic.go:596 +0x95
runtime.sigpanic()
	/usr/local/go/src/runtime/signal_unix.go:274 +0x2db

goroutine 1 [syscall, locked to thread]:
runtime.cgocall(0x401560, 0x0, 0xc420092000)
	/usr/local/go/src/runtime/cgocall.go:131 +0xe2 fp=0xc42006ff88 sp=0xc42006ff48
runtime.main()
	/usr/local/go/src/runtime/proc.go:169 +0x1ba fp=0xc42006ffe0 sp=0xc42006ff88
runtime.goexit()
	/usr/local/go/src/runtime/asm_amd64.s:2197 +0x1 fp=0xc42006ffe8 sp=0xc42006ffe0

goroutine 17 [syscall, locked to thread]:
runtime.goexit()
	/usr/local/go/src/runtime/asm_amd64.s:2197 +0x1
*** Error code 2
Comment 14 Ed Maste freebsd_committer 2017-04-05 18:53:59 UTC
(In reply to Antoine Brodin from comment #13)
> There were around 50 go ports failure of the form:

I suspect this is https://github.com/golang/go/issues/19018 which Rafael discovered, and I believe addressed with a change in a later version of LLD that he'd rather revert.

I'll see if I can produce a convenient reproducer for go folks.
Comment 15 Mark Millard 2017-04-11 04:26:23 UTC
(In reply to Ed Maste from comment #10)

In doing an experiment I ran into gcc6-aux's
problem: It is not set up for head's -r312934
having:

Replace uses of the GCC __nonnull__ attribute with the clang nullability
qualifiers [and its use via __nonnull(?)] . . .

at least as far as the:

bootstrap/lib/gcc/*freebsd12.0/6.3.1/include=fixed/stdlibb.h

goes. Detail as of /usr/ports -r438141:
(I was using an arm64 context.)

configure:5452: checking size of long long
. . .
In file included from conftest.c:71:0:
/usr/obj/portswork/usr/ports/lang/gcc6-aux/work/bootstrap/lib/gcc/aarch64-aux-freebsd12.0/6.3.1/include-fixed/stdlib.h: In function 'posix_memalign':
/usr/obj/portswork/usr/ports/lang/gcc6-aux/work/bootstrap/lib/gcc/aarch64-aux-freebsd12.0/6.3.1/include-fixed/stdlib.h:192:46: error: expected declaration specifiers before '__nonnull'
int  posix_memalign(void **, size_t, size_t) __nonnull(1); /* (ADV) */
                                             ^~~~~~~~~
Comment 16 Pedro F. Giffuni freebsd_committer 2017-04-12 19:13:48 UTC
(In reply to Mark Millard from comment #15)
GCC has the nasty habit of "fixing" the system headers according to outdated expectations.
There is a way to regenerate the headers but I forgot the details. Please update your GCC to a newly generated snapshot (or move to clang).
Comment 17 Mark Millard 2017-04-12 19:46:07 UTC
(In reply to Pedro F. Giffuni from comment #16)

I only made the comment about lang/gcc6-aux because
it is listed in comment 10 as blocking other ports
but that happens to not be for lld related reasons.


Side note:

I got to lang/gcc6-aux indirectly via trying to build
ports-mgmt/synth. I have no direct use for gcc6-aux.
I'll simply wait for the lang/gcc6-aux maintainer
and a committer to update the bootstrap materials of
building lang/gcc6-aux to no longer require the
__nonnull (or related materials).

[I also checked and at the time pkg provided an older
synth that did not yet support arm64: source was
the only thing recent enough. But I can wait.]
Comment 18 Pedro F. Giffuni freebsd_committer 2017-04-12 21:17:08 UTC
(In reply to Mark Millard from comment #17)

Yes, it's unrelated to lld:

The thing is GCC's build system grabs the system headers and "fixes" them. I removed the __nonnull attribute from the headers about a month ago but the old GCC oyu are using was built when they were still there.
The issue is usually resolved by rebuilding GCC, there shouldn't be any need to patch things. Perhaps the gcc-aux port needs a version bump.
Comment 19 Mark Millard 2017-04-12 22:46:32 UTC
(In reply to Pedro F. Giffuni from comment #18)

I've replied via the lists instead of continuing
to pollute bugzilla 214864 with material not
tied to lld.

The existing lang/gcc6-aux failure that I
indicated is established as not tied to lld,
that is all that is relevant here in 214864.
The rest should go elsewhere.
Comment 20 Jan Beich freebsd_committer 2017-07-10 02:01:14 UTC
aarch64 uses lld by default since 11.1, ahead of other architectures.
Comment 21 Jan Beich freebsd_committer 2017-07-22 18:49:43 UTC
Would slapping LDFLAGS_clang+=-fuse-ld=bfd against the few offenders an acceptable fix?
Comment 22 Ed Maste freebsd_committer 2017-07-26 23:01:32 UTC
(In reply to Jan Beich from comment #21)
> Would slapping LDFLAGS_clang+=-fuse-ld=bfd against the few offenders an
> acceptable fix?

I think that would work, but two points:
- We'd want to just set LDFLAGS+=-fuse-ld=bfd -- the same issue will apply to any ports that build with GCC
- We don't want to hardcode the explicit -fuse-ld=bfd in individual ports; Baptiste proposed a LLD_UNSAFE=yes flag that the ports infrastructure will automatically turn into that (in addition to setting LD etc.)

portmgr: now that Clang/LLVM/LLD 5.0.0 has arrived in HEAD can you rerun the exp-run? There are a number of improvements that may fix some of these issues, and those that remain will be dealt with via the LLD_UNSAFE or equivalent.
Comment 23 Antoine Brodin freebsd_committer 2017-07-27 11:19:15 UTC
On i386 binaries still fail to run.
Comment 24 Antoine Brodin freebsd_committer 2017-07-27 11:36:24 UTC
On amd64 devel/libunwind fails to link so the exp-run won't be useful (already 7900+ ports skipped)
Comment 26 Ed Maste freebsd_committer 2017-08-16 19:22:20 UTC
In r322589 I added a hack to forcibly link libc with ld.bfd, which let me build an i386 kernel and world (other than libc) linked with lld and then a working VM image.

The devel/libunwind issue is arguably a bug in libunwind, but the expectation is we'll introduce ports infrastructure (e.g. LLD_UNSAFE=yes) that will make the build use bfd instead.
Comment 27 Ed Maste freebsd_committer 2017-08-17 15:50:47 UTC
(In reply to Antoine Brodin from comment #24)
Is there a straightforward way to find the ports directly skipped as a result of libunwind failure, rather than all ~8K that include transitive skipped ports? Interestingly, libunwind does not build on arm64 and there it's listed as being responsible for 11 skipped ports.

I've updated bapt's original LLD_UNSAFE patch, now in https://reviews.freebsd.org/D12064 and can build devel/libunwind with that applied (when /usr/bin/ld is ld.lld). I'll attach it as a patch as well.

Perhaps we can do another exp-run with both patches applied? i386 should also largely work now with the current hack to forcibly link (only) libc with ld.bfd.
Comment 28 Ed Maste freebsd_committer 2017-08-17 15:51:30 UTC
Created attachment 185533 [details]
Add LLD_UNSAFE to force use of ld.bfd when ld is lld
Comment 29 Antoine Brodin freebsd_committer 2017-08-20 19:09:53 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2017-08-20_08h31m49s

14448 ports were skipped.
Comment 30 commit-hook freebsd_committer 2017-08-22 18:55:25 UTC
A commit references this bug:

Author: emaste
Date: Tue Aug 22 18:55:00 UTC 2017
New revision: 448576
URL: https://svnweb.freebsd.org/changeset/ports/448576

Log:
  Add LLD_UNSAFE to force use of ld.bfd when ld is lld

  By default the compiler will find /usr/bin/ld for the linker.  If a port
  sets LLD_UNSAFE and /usr/bin/ld is ld.lld, then add -fuse-ld=bfd to
  force the use of the binutils BFD linker (from the base system, if
  available, or by setting USE_BINUTILS).

  This change is based on an earlier, similar patch from bapt, with the
  addition of the -fuse-ld flag.

  PR:		214864
  Reviewed by:	bapt
  Approved by:	portmgr (bapt)
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D12064

Changes:
  head/Mk/bsd.port.mk
Comment 31 Ed Maste freebsd_committer 2017-08-22 20:44:04 UTC
Created attachment 185682 [details]
set LLD_UNSAFE as appropriate and other lld ports fixes/workarounds

Main LLD_UNSAFE patch has now been committed to the ports tree. This new patch sets LLD_UNSAFE in individual ports that need it and has other LLD-related fixes.
Comment 32 Antoine Brodin freebsd_committer 2017-08-22 20:58:46 UTC
(In reply to Ed Maste from comment #31)
The devel/libffi/Makefile change is wrong,  you can't test ${ARCH} before including bsd.port.pre.mk
Comment 33 Ed Maste freebsd_committer 2017-08-22 21:10:18 UTC
I looked for ports already using ${ARCH} and based it on what I saw in devel/libffcall/Makefile and a few others, but I suppose they're not actually using the substitution until later. Will update.
Comment 34 Ed Maste freebsd_committer 2017-08-22 21:14:40 UTC
Created attachment 185684 [details]
set LLD_UNSAFE and other lld fixes

replace LLD_UNSAFE patch with one with a fix for libffi issue reported by antoine
Comment 35 Antoine Brodin freebsd_committer 2017-08-24 05:35:24 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR214864-default&build=2017-08-22_08h39m11s

Around 850 ports were newly skipped.

New failure on amd64:

+ {"origin"=>"arabic/libitl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"archivers/arj", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"archivers/lua51-zlib", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"audio/clementine-player", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"audio/easytag", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/openal-soft", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/oss", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgres-xl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql10-client", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql92-client", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql93-client", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql94-client", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql95-client", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql96-client", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/jsl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libcfg", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/memleax", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/pdcurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/upp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/emacs", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"editors/emacs-devel", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"editors/emacs-nox11", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"graphics/inventor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java3d", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/mono", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/myrddin", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/rexx-regutil", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/siod", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"mail/thunderbird", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/gmerlin", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/libxine", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"news/nntpcache", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"print/gl2ps", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/pdftk", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"security/otpw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"shells/bash-static", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/e2fsprogs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/pstacku", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/safecat", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/unieject", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/dummyflash", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/firefox", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/firefox-esr", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/libxul", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mozplugger", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/seamonkey", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/tdom", "phase"=>"build", "errortype"=>"clang-bug"}

New failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/ar-libitl-0.7.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/arj-3.10.22_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/lua51-zlib-1.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/clementine-player-1.3.1_12.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/easytag-2.4.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/openal-soft-1.18.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/oss-4.2.b2017.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/wrk-4.0.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/postgres-xl-9.5.r1.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/postgresql10-client-10.b3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/postgresql92-client-9.2.22_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/postgresql93-client-9.3.18_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/postgresql94-client-9.4.13_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/postgresql95-client-9.5.8_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/postgresql96-client-9.6.4_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/jsl-0.3.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/libcfg-0.6.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/memleax-1.0.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/pdcurses-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/upp-9251_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/emacs25-25.2_2,3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/emacs-devel-26.0.50.20170712,2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/emacs-nox11-25.2_2,3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/inventor-2.1.5.p10_14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/java3d-1.5.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/fpc-3.0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/mono-4.8.1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/myrddin-0.1.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/rexx-regutil-1.26_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/siod-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/thunderbird-52.3.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/seabios-1.10.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/gmerlin-1.2.0_12.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/libxine-1.2.6_12.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/nntpcache-3.0.2_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/gl2ps-1.3.9_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/pdftk-2.02_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/otpw-1.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/bash-static-4.4.12_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/e2fsprogs-1.43.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/pstacku-0.9.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/safecat-1.13.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/unieject-6_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/dummyflash-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/firefox-55.0.2_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/firefox-esr-52.3.0_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/libxul-45.9.0_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/mozplugger-2.1.6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/seamonkey-2.48_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-08-22_08h39m11s/logs/errors/tDOM-0.8.3.log
Comment 36 Antoine Brodin freebsd_committer 2017-08-24 09:18:50 UTC
Exp-run results on i386 with the last version of the patch:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2017-08-24_05h40m25s

There are still 14317 ports skipped.
Comment 37 Kirill Ponomarev freebsd_committer 2017-09-01 15:37:50 UTC
Created attachment 185976 [details]
updated patch for src.opts.mk
Comment 38 Kirill Ponomarev freebsd_committer 2017-09-03 21:16:51 UTC
Created attachment 186042 [details]
updated patch for all broken ports without LLD_UNSAFE
Comment 39 Antoine Brodin freebsd_committer 2017-09-03 21:44:17 UTC
(In reply to Kirill Ponomarev from comment #38)
As noted in comment #36 , devel/libffi fails with LLD_UNSAFE too.
Comment 40 Kirill Ponomarev freebsd_committer 2017-09-03 21:51:34 UTC
(In reply to Antoine Brodin from comment #39)
Thanks, I'll investigate
Comment 41 Kirill Ponomarev freebsd_committer 2017-09-04 10:42:36 UTC
(In reply to Antoine Brodin from comment #39)
Please note, Ed submitted the new patch to fix devel/libffi build on i386, it's in "set LLD_UNSAFE and other lld fixes" and "updated patch for all broken ports without LLD_UNSAFE" patches.
Comment 42 Antoine Brodin freebsd_committer 2017-09-04 11:22:00 UTC
(In reply to Kirill Ponomarev from comment #41)
And it didn't fix libffi on i386..
Comment 43 Ed Maste freebsd_committer 2017-09-04 12:30:38 UTC
Created attachment 186060 [details]
patch libtool to pass through -fuse-ld=
Comment 44 Ed Maste freebsd_committer 2017-09-04 12:30:59 UTC
For libffi it seems we're again thwarted by libtool. libtool strips flags that it does not recognize, including -fuse-ld. Likely need a patch like the following (which I'll also attach):

--- ltmain.sh.orig      2017-09-04 08:24:02.091949000 -0400
+++ ltmain.sh   2017-09-04 08:27:30.993223000 -0400
@@ -5851,9 +5851,10 @@
       # -tp=*                Portland pgcc target processor selection
       # --sysroot=*          for sysroot support
       # -O*, -flto*, -fwhopr*, -fuse-linker-plugin GCC link-time optimization
+      # -fuse-ld=            select linker
       -64|-mips[0-9]|-r[0-9][0-9]*|-xarch=*|-xtarget=*|+DA*|+DD*|-q*|-m*| \
       -t[45]*|-txscale*|-p|-pg|--coverage|-fprofile-*|-F*|@*|-tp=*|--sysroot=*| \
-      -O*|-flto*|-fwhopr*|-fuse-linker-plugin)
+      -O*|-flto*|-fwhopr*|-fuse-linker-plugin|-fuse-ld=*)
         func_quote_for_eval "$arg"
        arg="$func_quote_for_eval_result"
         func_append compile_command " $arg"
Comment 45 Kirill Ponomarev freebsd_committer 2017-09-04 14:07:55 UTC
(In reply to Ed Maste from comment #44)
I confirm, now it builds on i386 with ld -> ld.lld:

http://pkg.krion.cc/data/12_i386-patch_for_src_opts_mk/2017-09-04_16h04m42s/logs/libffi-3.2.1_1.log

Antoine, could you please rerun exp-build with this patch to pick up another 13k packages missed by latest build. Thanks.
Comment 46 Antoine Brodin freebsd_committer 2017-09-06 05:28:39 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2017-09-05_13h25m59s

More than 6000 ports were newly skipped.

New failures:

+ {"origin"=>"archivers/p7zip", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"archivers/p7zip-codec-rar", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/alure", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/boodler", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/lame", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/liba52", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/libopenspc", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"benchmarks/stress-ng", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"comms/libfec", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"converters/lua-iconv", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/mysql-udf", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/p5-DBD-Oracle", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgres-xl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql10-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql92-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql93-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql94-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql95-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql96-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/fastcrc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libcfg", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libmsocket", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mpatrol", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/p5-Algorithm-Cluster", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/p5-Data-MessagePack-Stream", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/pdcurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/tuxnes", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/virtualbox-ose-additions-nox11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/virtualbox-ose-nox11", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"graphics/Hermes", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/freeimage", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/lfview", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/lua-gd", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/mesa-libs", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/irssi-xmpp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/mono", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/nml", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/ocaml", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"lang/ocaml-nox11", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"lang/pypy", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/eps", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/ccmath", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/p5-Math-Pari", "phase"=>"build", "errortype"=>"termios"}
+ {"origin"=>"math/z3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/libdv", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/libfame", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/libx264", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/openh264", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/openquicktime", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/x265", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/xmms", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/xvid", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/uTox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/libpwstor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/lockdown", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/openssl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/openssl-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/pstacku", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/unieject", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/dummyflash", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/geckodriver", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_php56", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_php70", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_php71", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_spdy", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mozplugger", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/tdom", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"x11-toolkits/slingshot", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/golem", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs:

http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/p7zip-16.02.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/p7zip-codec-rar-16.02.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/alure-1.2_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/boodler-1.5.3_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/lame-3.99.5_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/liba52-0.7.4_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libopenspc-0.3.99a_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/stress-ng-0.08.13.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/wrk-4.0.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libfec-3.0.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/lua52-iconv-7_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mysql-udf-0.3_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/p5-DBD-Oracle-1.19_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pgtcl-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/postgres-xl-9.5.r1.5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pgtcl-postgresql10-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pgtcl-postgresql92-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pgtcl-postgresql93-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pgtcl-postgresql94-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pgtcl-postgresql95-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pgtcl-postgresql96-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/fastcrc-1.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libcfg-0.6.2_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libmsocket-0.4_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mpatrol-1.4.8_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/p5-Algorithm-Cluster-1.53.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/p5-Data-MessagePack-Stream-0.07_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pdcurses-3.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/tuxnes-0.75_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/virtualbox-ose-additions-nox11-5.1.26.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/virtualbox-ose-nox11-5.1.26.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/Hermes-1.3.3_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/freeimage-3.16.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/lfview-1.1a_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/lua-gd-2.0.33r2_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mesa-libs-17.1.7.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/irssi-xmpp-0.53_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/fpc-3.0.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mono-4.8.1.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/nml-0.92b.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/ocaml-4.02.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/ocaml-nox11-4.02.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pypy-5.8.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/eps-1.7_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/ccmath-2.2.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/p5-Math-Pari-2.01080900.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/z3-4.5.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/seabios-1.10.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libdv-1.0.0_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libfame-0.9.1_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libx264-0.148.2795.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/openh264-1.7.0,2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/openquicktime-1.0_8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/x265-2.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/xmms-1.2.11_28.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/xvid-1.3.4,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/uTox-0.11.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/libpwstor-0.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/lockdown-2.0.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/openssl-1.0.2l,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/openssl-devel-1.1.0f.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/pstacku-0.9.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/unieject-6_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/dummyflash-1.0_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/geckodriver-0.18.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mod_php56-5.6.31.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mod_php70-7.0.23.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mod_php71-7.1.9.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mod_spdy-0.9.4.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/mozplugger-2.1.6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/tDOM-0.8.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/slingshot-2.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-09-05_13h25m59s/logs/errors/golem-0.0.6_1.log
Comment 47 Antoine Brodin freebsd_committer 2017-09-09 05:39:30 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR214864-default&build=2017-09-08_19h05m56s

Around 300 ports were skipped due to new failures

New failures:

+ {"origin"=>"audio/alure", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/easytag", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/oss", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"benchmarks/stress-ng", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgres-xl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql10-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql92-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql93-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql94-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql95-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql96-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libcfg", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/love07", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/love08", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/memleax", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/pdcurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/simgear", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/upp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/emacs", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"editors/emacs-devel", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"editors/emacs-nox11", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/dolphin-emu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/fs-uae", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/yabause", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"games/7kaa", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/OpenTomb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/allacrost", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/apricots", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/aquaria", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/arx-libertatis", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/assaultcube", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/atr3d", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/blackshadeselite", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/chromium-bsu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/dhewm3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/diaspora", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/el", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/endless-sky", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/excido", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/freeminer", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/glest", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/ioquake3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/iourbanterror", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/irrlamb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/ldmud", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/linwarrior", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/megaglest", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/minetest", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openarena", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openastromenace", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openomf", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/retroarch", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/scorched3d", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/spring", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/supertuxkart", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/tome4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/trigger-rally", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/valyriatear", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/vamos", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/voxelands", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/inventor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java3d", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/mono", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/myrddin", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"mail/thunderbird", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/bino", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/gmerlin", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/libxine", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/toxic", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/uTox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/dogecoin", "phase"=>"checksum", "errortype"=>"checksum"}
+ {"origin"=>"news/nntpcache", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/pdftk", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"shells/bash-static", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/e2fsprogs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/pstacku", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/safecat", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/unieject", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/dummyflash", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/firefox", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/firefox-esr", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/libxul", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mozplugger", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/seamonkey", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/tdom", "phase"=>"build", "errortype"=>"clang-bug"}

New failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/alure-1.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/easytag-2.4.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/oss-4.2.b2017.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/stress-ng-0.08.13.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/wrk-4.0.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pgtcl-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/postgres-xl-9.5.r1.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pgtcl-postgresql10-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pgtcl-postgresql92-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pgtcl-postgresql93-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pgtcl-postgresql94-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pgtcl-postgresql95-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pgtcl-postgresql96-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/libcfg-0.6.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/love07-0.7.2_13.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/love08-0.8.0_7.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/memleax-1.0.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pdcurses-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/simgear-2017.1.3_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/upp-10804.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/emacs25-25.2_2,3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/emacs-devel-26.0.50.20170903,2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/emacs-nox11-25.2_2,3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/dolphin-emu-5.0_8.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/fs-uae-2.4.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/yabause-0.9.14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/7kaa-2.14.7.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/OpenTomb-2017.08.05.a.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/allacrost-1.0.2_18.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/apricots-0.2.6_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/aquaria-1.002.22_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/arx-libertatis-1.1.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/assaultcube-1.2.0.2_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/atr3d-0.6_18.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/blackshadeselite-0.0.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/chromium-bsu-0.9.16.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/dhewm3-1.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/diaspora-1.1.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/el-1.9.4.3_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/endless-sky-0.9.8.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/excido-0.1.5c_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/freeminer-0.4.10.4_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/glest-3.2.2_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/ioquake3-1.36_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/iourbanterror-4.2.023.1.36_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/irrlamb-0.2.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/ldmud-3.3.720_3,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/linwarrior-20100320_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/megaglest-3.13.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/minetest-0.4.16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/openarena-1.36_3,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/openastromenace-1.3.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/openomf-0.6.5_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/RetroArch-1.3.6_7.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/scorched3d-0.43.3d_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/spring-98.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/supertuxkart-0.9.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/tome4-1.5.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/trigger-rally-0.6.5_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/valyriatear-1.0.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/vamos-0.7.1_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/vegastrike-0.5.1.r1_8.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/voxelands-1604.00_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/inventor-2.1.5.p10_14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/java3d-1.5.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/fpc-3.0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/mono-4.8.1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/myrddin-0.1.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/thunderbird-52.3.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/seabios-1.10.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/bino-1.4.2_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/gmerlin-1.2.0_12.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/libxine-1.2.6_12.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/toxic-0.8.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/uTox-0.11.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/dogecoin-1.8.2_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/nntpcache-3.0.2_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pdftk-2.02_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/bash-static-4.4.12_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/e2fsprogs-1.43.5_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/pstacku-0.9.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/safecat-1.13.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/unieject-6_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/dummyflash-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/firefox-55.0.3_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/firefox-esr-52.3.0_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/libxul-45.9.0_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/mozplugger-2.1.6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/seamonkey-2.48_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-09-08_19h05m56s/logs/errors/tDOM-0.8.3.log
Comment 48 Ed Maste freebsd_committer 2017-09-09 21:37:19 UTC
From the most recent amd64 exp-run ld errors are as follows:

   1 -O: number expected, but got 
   1 cannot open 2: No such file or directory
   1 obj/bytecode.o: string table non-null terminated
   1 target emulation unknown: -m or at least one .o file required
   1 unknown argument: --add-needed
   1 unknown argument: -Mmapfile
   1 x86_64/units/x86_64-freebsd/i_linux.o: invalid alignment of section headers
   2 unknown argument: -fstack-protector
   4 ../../js/src/jsarray.o: string table non-null terminated
   7 duplicate symbol: <symbol>
  23 undefined symbol: <symbol>
  57 can't create dynamic relocation <reloc> against symbol: <symbol> in readonly segment
 781 cannot preempt symbol: <symbol>

(ignoring "too many errors emitted, stopping now")

The vast majority of the errors are due to the ELF protected visibility issue. Presumably most of these depend on a library (with protected symbols) that is provided by port that previously failed to build. Most likely we'll just end up tagging these with LLD_UNSAFE=yes for now.
Comment 49 Ed Maste freebsd_committer 2017-12-07 17:59:03 UTC
I've asked portmgr for approval to commit the LLD_UNSAFE additions.

LLD_UNSAFE is a no-op if LLD is not being used so should be quite safe for the default cause not using LLD.

When LLD is being used it just reverts to the previous condition (linking with ld.bfd).
Comment 50 Ed Maste freebsd_committer 2017-12-16 15:40:20 UTC
i386 is ready for another exp-run after r326897, which should fix an assertion failure from jemalloc in libc at startup
Comment 51 Antoine Brodin freebsd_committer 2017-12-17 19:49:51 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2017-12-17_08h04m56s

Around 17000 ports were skipped due to failures

New failures on i386:

+ {"origin"=>"archivers/lua51-zlib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"archivers/p7zip", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"archivers/p7zip-codec-rar", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"audio/libopenspc", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"comms/libfec", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"converters/lua-iconv", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/p5-DBD-Oracle", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgres-xl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql10-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql92-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql93-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql94-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql95-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql96-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/fastcrc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/jsl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libffi", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/libmsocket", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libunwind", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/mpatrol", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/p5-Algorithm-Cluster", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/p5-Data-MessagePack-Stream", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"graphics/Hermes", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"graphics/freeimage", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"graphics/lua-gd", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/nml", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/ocaml-nox11", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"lang/php56", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/php70", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/php71", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/php72", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/rexx-regutil", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/siod", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/eps", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/ccmath", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"math/p5-Math-Pari", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"math/rexx-regmath", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/libdv", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/libfame", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/openh264", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/xvid", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/libpwstor", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"security/lockdown", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"security/openssl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/openssl-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/openssl-unsafe", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/otpw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/e2fsprogs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/showbeastie", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_php56", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mod_php70", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mod_php71", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mod_php72", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/tdom", "phase"=>"build", "errortype"=>"clang-bug"}

New failure logs on i386:

http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/lua51-zlib-1.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/p7zip-16.02.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/p7zip-codec-rar-16.02.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libopenspc-0.3.99a_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/wrk-4.0.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libfec-3.0.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/lua52-iconv-7_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/p5-DBD-Oracle-1.19_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/postgres-xl-9.5.r1.5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/postgresql10-client-10.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/postgresql92-client-9.2.24.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/postgresql93-client-9.3.20.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/postgresql94-client-9.4.15.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/postgresql95-client-9.5.10.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/postgresql96-client-9.6.6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/fastcrc-1.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/jsl-0.3.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libffi-3.2.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libmsocket-0.4_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libunwind-20170113_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/mpatrol-1.4.8_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/p5-Algorithm-Cluster-1.53.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/p5-Data-MessagePack-Stream-0.07_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/Hermes-1.3.3_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/freeimage-3.16.0_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/lua-gd-2.0.33r2_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/fpc-3.0.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/nml-0.92b.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/ocaml-nox11-4.02.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/php56-5.6.32_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/php70-7.0.26_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/php71-7.1.12_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/php72-7.2.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/rexx-regutil-1.26_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/siod-3.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/eps-1.7_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/ccmath-2.2.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/p5-Math-Pari-2.01080900.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/rexx-regmath-1.00.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libdv-1.0.0_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libfame-0.9.1_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/openh264-1.7.0,2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/xvid-1.3.4,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/libpwstor-0.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/lockdown-2.0.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/openssl-1.0.2n,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/openssl-devel-1.1.0g.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/openssl-unsafe-1.0.2.20170706.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/otpw-1.5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/e2fsprogs-1.43.7_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/showbeastie-0.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/mod_php56-5.6.32_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/mod_php70-7.0.26_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/mod_php71-7.1.12_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/mod_php72-7.2.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-17_08h04m56s/logs/errors/tDOM-0.8.3.log
Comment 52 Antoine Brodin freebsd_committer 2017-12-18 14:38:58 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR214864-default&build=2017-12-17_20h43m06s

Around 8000 ports were skipped due to failures

New failures:

+ {"origin"=>"archivers/lua51-zlib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/alure", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgres-xl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql10-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql92-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql93-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql94-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql95-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/postgresql96-client", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/jsl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libunwind", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/pdcurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/gem5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/mono", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/rexx-regutil", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/siod", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/rexx-regmath", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/uTox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/py-netif", "flavor"=>"py36", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/py-netif", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/pdftk", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"security/otpw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"shells/bash-static", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/e2fsprogs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/unieject", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/dummyflash", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mozplugger", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/tdom", "phase"=>"build", "errortype"=>"clang-bug"}

New failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/lua51-zlib-1.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/alure-1.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/wrk-4.0.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/postgres-xl-9.5.r1.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/postgresql10-client-10.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/postgresql92-client-9.2.24.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/postgresql93-client-9.3.20.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/postgresql94-client-9.4.15.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/postgresql95-client-9.5.10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/postgresql96-client-9.6.6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/jsl-0.3.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/libunwind-20170113_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/pdcurses-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/gem5-0.0.20140422.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/fpc-3.0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/mono-4.8.1.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/rexx-regutil-1.26_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/siod-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/rexx-regmath-1.00.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/seabios-1.10.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/uTox-0.11.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/py36-netif-1.0.20170424_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/py27-netif-1.0.20170424_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/pdftk-2.02_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/otpw-1.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/bash-static-4.4.12_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/e2fsprogs-1.43.7_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/unieject-6_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/dummyflash-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/mozplugger-2.1.6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-17_20h43m06s/logs/errors/tDOM-0.8.3.log
Comment 53 commit-hook freebsd_committer 2017-12-18 17:49:02 UTC
A commit references this bug:

Author: dim
Date: Mon Dec 18 17:48:44 UTC 2017
New revision: 456663
URL: https://svnweb.freebsd.org/changeset/ports/456663

Log:
  Apply upstream change from libffi to check for HAVE_AS_X86_PCREL for all
  x86 targets.  This should eliminate any text relocations, in particular
  for the i386 build, making it possible to build the port with lld
  without having to use -z notext.

  Obtained from:	https://github.com/libffi/libffi/pull/174
  Approved by:	zeising (maintainer)
  PR:		214864
  MFH:		2017Q4

Changes:
  head/devel/libffi/Makefile
  head/devel/libffi/files/patch-configure
Comment 54 Ed Maste freebsd_committer 2017-12-19 18:09:50 UTC
libunwind, libffi, and postgresql*-client should now be fixed or worked around.
Comment 55 commit-hook freebsd_committer 2017-12-20 01:58:52 UTC
A commit references this bug:

Author: emaste
Date: Wed Dec 20 01:58:39 UTC 2017
New revision: 456771
URL: https://svnweb.freebsd.org/changeset/ports/456771

Log:
  archivers/lua51-zlib: set LLD_UNSAFE

  The port invokes the linker directly (not via the compiler driver).
  lld does not include any default search paths (unlike the GNU BFD linker
  so cannot find libraries specified as e.g. -lm or -lz.

  This can be addressed by invoking the linker via the compiler driver,
  or by specifying the search path explicitly with -L. For now just avoid
  using lld to link the port.

  PR:		214864, 221808
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/archivers/lua51-zlib/Makefile
Comment 56 commit-hook freebsd_committer 2017-12-20 02:09:05 UTC
A commit references this bug:

Author: emaste
Date: Wed Dec 20 02:08:28 UTC 2017
New revision: 456772
URL: https://svnweb.freebsd.org/changeset/ports/456772

Log:
  devel/jsl: set LLD_UNSAFE

  The port invokes the linker directly (not via the compiler driver).
  lld does not include any default search paths (unlike the GNU BFD
  linker) so cannot find libraries specified as e.g. -lm or -lz.

  This can be addressed by invoking the linker via the compiler driver,
  or by specifying the search path explicitly with -L. For now just avoid
  using lld to link the port.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/devel/jsl/Makefile
Comment 57 Antoine Brodin freebsd_committer 2017-12-20 09:37:33 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2017-12-19_20h07m12s

More than 7000 ports were skipped due to failures

New failures:

+ {"origin"=>"archivers/lua51-zlib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"archivers/p7zip", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"archivers/p7zip-codec-rar", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"audio/alure", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/boodler", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"audio/libopenspc", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"audio/xmixer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"comms/libfec", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"converters/lua-iconv", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/mysql-udf", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/p5-DBD-Oracle", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"databases/pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgres-xl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql10-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql92-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql93-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql94-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql95-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql96-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/fastcrc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/jsl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libmsocket", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mpatrol", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/p5-Algorithm-Cluster", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/p5-Data-MessagePack-Stream", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/pdcurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/tuxnes", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/virtualbox-ose-additions-nox11", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"emulators/virtualbox-ose-nox11", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"graphics/Hermes", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"graphics/freeimage", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"graphics/lfview", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"graphics/lua-gd", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"graphics/mesa-libs", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/irssi-xmpp", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/mono", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/nhc98", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/nml", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/ocaml", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"lang/ocaml-nox11", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"lang/php56", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/php70", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/php71", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/php72", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/pypy", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/pypy3", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/rexx-regutil", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/siod", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/eps", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/ccmath", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"math/p5-Math-Pari", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"math/rexx-regmath", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/z3", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/libdv", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/libfame", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/libx264", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/openh264", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/openquicktime", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/x265", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/xmms", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/xvid", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/uTox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/py-netif", "flavor"=>"py36", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/py-netif", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/pdftk", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"security/libpwstor", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"security/lockdown", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"security/openssl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/openssl-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/openssl-unsafe", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/otpw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/e2fsprogs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/pstacku", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/unieject", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/dummyflash", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/geckodriver", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_php56", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mod_php70", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mod_php71", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mod_php72", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mod_spdy", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"www/mozplugger", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/tdom", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"x11-toolkits/slingshot", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/golem", "phase"=>"build", "errortype"=>"lld_linker_error"}


New failure logs:


http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/lua51-zlib-1.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/p7zip-16.02.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/p7zip-codec-rar-16.02.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/alure-1.2_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/boodler-1.5.3_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libopenspc-0.3.99a_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/xmixer-0.9.4_7.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/wrk-4.0.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libfec-3.0.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/lua52-iconv-7_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mysql-udf-0.3_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/p5-DBD-Oracle-1.19_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pgtcl-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/postgres-xl-9.5.r1.5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pgtcl-postgresql10-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pgtcl-postgresql92-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pgtcl-postgresql93-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pgtcl-postgresql94-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pgtcl-postgresql95-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pgtcl-postgresql96-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/fastcrc-1.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/jsl-0.3.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libmsocket-0.4_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mpatrol-1.4.8_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/p5-Algorithm-Cluster-1.53.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/p5-Data-MessagePack-Stream-0.07_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pdcurses-3.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/tuxnes-0.75_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/virtualbox-ose-additions-nox11-5.2.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/virtualbox-ose-nox11-5.2.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/Hermes-1.3.3_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/freeimage-3.16.0_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/lfview-1.1a_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/lua-gd-2.0.33r2_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mesa-libs-17.3.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/irssi-xmpp-0.53_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/fpc-3.0.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mono-4.8.1.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/nhc98-1.22_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/nml-0.92b.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/ocaml-4.02.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/ocaml-nox11-4.02.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/php56-5.6.32_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/php70-7.0.26_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/php71-7.1.12_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/php72-7.2.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pypy-5.9.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pypy3-5.9.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/rexx-regutil-1.26_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/siod-3.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/eps-1.7_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/ccmath-2.2.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/p5-Math-Pari-2.01080900.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/rexx-regmath-1.00.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/z3-4.5.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/seabios-1.10.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libdv-1.0.0_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libfame-0.9.1_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libx264-0.148.2795.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/openh264-1.7.0,2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/openquicktime-1.0_8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/x265-2.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/xmms-1.2.11_28.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/xvid-1.3.4,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/uTox-0.11.1_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/monero-cli-0.11.1.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/py36-netif-1.0.20170424_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/py27-netif-1.0.20170424_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pdftk-2.02_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/libpwstor-0.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/lockdown-2.0.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/openssl-1.0.2n,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/openssl-devel-1.1.0g.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/openssl-unsafe-1.0.2.20170706.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/otpw-1.5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/e2fsprogs-1.43.7_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/pstacku-0.9.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/unieject-6_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/dummyflash-1.0_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/geckodriver-0.19.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mod_php56-5.6.32_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mod_php70-7.0.26_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mod_php71-7.1.12_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mod_php72-7.2.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mod_spdy-0.9.4.1_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/mozplugger-2.1.6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/tDOM-0.8.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/slingshot-2.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2017-12-19_20h07m12s/logs/errors/golem-0.0.6_1.log
Comment 58 commit-hook freebsd_committer 2017-12-21 20:14:11 UTC
A commit references this bug:

Author: dim
Date: Thu Dec 21 20:13:52 UTC 2017
New revision: 456944
URL: https://svnweb.freebsd.org/changeset/ports/456944

Log:
  MFH: r456663

  Apply upstream change from libffi to check for HAVE_AS_X86_PCREL for all
  x86 targets.  This should eliminate any text relocations, in particular
  for the i386 build, making it possible to build the port with lld
  without having to use -z notext.

  Obtained from:	https://github.com/libffi/libffi/pull/174
  Approved by:	zeising (maintainer)
  PR:		214864
  Approved by:	portmgr (swills)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/devel/libffi/Makefile
  branches/2017Q4/devel/libffi/files/patch-configure
Comment 59 Antoine Brodin freebsd_committer 2017-12-21 20:19:18 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR214864-default&build=2017-12-20_10h02m24s

Around 200 ports skipped due to new failures

New failures:

+ {"origin"=>"audio/alure", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/easytag", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/invada-studio-plugins-lv2", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"audio/oss", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgres-xl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql10-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql92-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql93-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql94-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql95-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql96-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/love07", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/love08", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/memleax", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/pdcurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/upp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/dolphin-emu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/fs-uae", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/gem5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/yabause", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"games/7kaa", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/OpenTomb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/allacrost", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/apricots", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/aquaria", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/arx-libertatis", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/assaultcube", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/atr3d", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/blackshadeselite", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/chromium-bsu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/dhewm3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/diaspora", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/el", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/endless-sky", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/excido", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/flightgear", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/freedoko", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/freeminer", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/glest", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/ioquake3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/iourbanterror", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/irrlamb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/linwarrior", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/megaglest", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/minetest", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openarena", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openastromenace", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openomf", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/retroarch", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/scorched3d", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/spacezero", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/spring", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/stuntrally", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/supertuxkart", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/tome4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/trigger-rally", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/valyriatear", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/vamos", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/voxelands", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/inventor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java3d", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/mono", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/pypy", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/pypy3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/rexx-regutil", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/siod", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/rexx-regmath", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/gmerlin", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/libxine", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/toxic", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/uTox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/pdftk", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"security/otpw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"shells/bash-static", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/e2fsprogs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/pstacku", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/puppet5", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"sysutils/unieject", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/dummyflash", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mozplugger", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/tdom", "phase"=>"build", "errortype"=>"clang-bug"}


New failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/alure-1.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/easytag-2.4.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/invada-studio-plugins-lv2-1.2.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/oss-4.2.b2017.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/wrk-4.0.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pgtcl-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/postgres-xl-9.5.r1.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pgtcl-postgresql10-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pgtcl-postgresql92-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pgtcl-postgresql93-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pgtcl-postgresql94-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pgtcl-postgresql95-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pgtcl-postgresql96-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/love07-0.7.2_15.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/love08-0.8.0_9.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/memleax-1.0.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pdcurses-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/upp-10804_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/dolphin-emu-5.0_13.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/fs-uae-2.4.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/gem5-0.0.20140422.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/yabause-0.9.14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/7kaa-2.14.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/OpenTomb-2017.08.05.a.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/allacrost-1.0.2_20.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/apricots-0.2.6_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/aquaria-1.002.22_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/arx-libertatis-1.1.2_8.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/assaultcube-1.2.0.2_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/atr3d-0.6_18.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/blackshadeselite-0.0.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/chromium-bsu-0.9.16.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/dhewm3-1.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/diaspora-1.1.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/el-1.9.4.3_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/endless-sky-0.9.8_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/excido-0.1.5c_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/flightgear-2017.3.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/freedoko-0.7.16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/freeminer-0.4.10.4_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/glest-3.2.2_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/ioquake3-1.36_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/iourbanterror-4.2.023.1.36_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/irrlamb-0.2.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/linwarrior-20100320_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/megaglest-3.13.0_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/minetest-0.4.16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/openarena-1.36_3,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/openastromenace-1.3.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/openomf-0.6.5_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/RetroArch-1.3.6_9.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/scorched3d-0.43.3d_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/spacezero-0.86.00.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/spring-98.0_9.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/stuntrally-2.6_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/supertuxkart-0.9.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/tome4-1.5.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/trigger-rally-0.6.5_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/valyriatear-1.0.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/vamos-0.7.1_13.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/vegastrike-0.5.1.r1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/voxelands-1604.00_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/inventor-2.1.5.p10_14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/java3d-1.5.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/fpc-3.0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/mono-4.8.1.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pypy-5.9.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pypy3-5.9.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/rexx-regutil-1.26_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/siod-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/rexx-regmath-1.00.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/seabios-1.10.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/gmerlin-1.2.0_12.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/libxine-1.2.6_14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/toxic-0.8.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/uTox-0.11.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/monero-cli-0.11.1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pdftk-2.02_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/otpw-1.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/bash-static-4.4.12_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/e2fsprogs-1.43.7_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/pstacku-0.9.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/puppet5-5.3.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/unieject-6_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/dummyflash-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/mozplugger-2.1.6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-20_10h02m24s/logs/errors/tDOM-0.8.3.log
Comment 60 Ed Maste freebsd_committer 2017-12-22 00:51:55 UTC
-Wl,-z,notext currently does not work in lld; see https://llvm.org/pr35720
Once this is fixed we can apply it as a workaround for the remaining "can't create dynamic relocation ... against ... in readonly segment" cases.
Comment 61 commit-hook freebsd_committer 2017-12-22 14:13:29 UTC
A commit references this bug:

Author: emaste
Date: Fri Dec 22 14:13:21 UTC 2017
New revision: 456980
URL: https://svnweb.freebsd.org/changeset/ports/456980

Log:
  multimedia/libxine: set LLD_UNSAFE to avoid lld

  libxine relies on ld.bfd's permissive treatment of shared library
  symbols with protected visibility, and attempting to link with lld
  fails with errors like:

  /usr/bin/ld: error: cannot preempt symbol: xine_get_version_string
  >>> defined in ../src/xine-engine/.libs/libxine.so
  >>> referenced by xine-list.c:98
  >>>               xine-list.o:(main)

  For now set LLD_UNSAFE=yes so that the port will continue to link with
  ld.bfd if /usr/bin/ld is lld, until the issue can be addressed (with a
  change in libxine or in lld).

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/multimedia/libxine/Makefile
Comment 62 commit-hook freebsd_committer 2017-12-26 17:20:42 UTC
A commit references this bug:

Author: emaste
Date: Tue Dec 26 17:20:16 UTC 2017
New revision: 457295
URL: https://svnweb.freebsd.org/changeset/ports/457295

Log:
  libtool.mk: pass through LDFLAGS -fuse-ld=*

  Some ports depend on permissive or broken behaviour from the GNU BFD
  linker, ld.bfd.  Clang and GCC support a -fuse-ld= flag to choose a
  specific linker, and as we migrate to installing lld as the base system
  /usr/bin/ld we'll want to make use of -fuse-ld=bfd to use bfd for ports
  that fail to link, or fail to run when linked with lld.

  An upstream libtool change[1] from Feb 2016 supports passing through
  -fuse-ld=, but it has not yet made it into a release.  Patch an
  equivalent change into ltmain.sh via Mk/Uses/libtool.mk.

  Original proposal just patched ltmain.sh in devel/libtool.  That would
  address ports that run libtoolize via autoreconf, including lang/mono
  which is one of the ports that fails to link with lld and responsible
  for many downstream skipped ports.  Patching ltmain.sh via libtool.mk
  (tijl's suggestion) handles that case as well as ports that include
  their own copy of ltmain.sh.

  A later change may patch devel/libtool so that -fuse-ld works if using a
  ports-installed libtool to build software outside of the ports tree; the
  change in this commit is intended to address building in the ports tree.

  [1] http://git.savannah.gnu.org/cgit/libtool.git/commit/?id=f9970d99293faf908fdc153a653fa5781095fb7a

  PR:		214864, 224514
  Reviewed by:	tijl
  Approved by:	portmgr (antoine)
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D13589

Changes:
  head/Mk/Uses/libtool.mk
Comment 63 commit-hook freebsd_committer 2017-12-26 20:09:17 UTC
A commit references this bug:

Author: emaste
Date: Tue Dec 26 20:09:10 UTC 2017
New revision: 457313
URL: https://svnweb.freebsd.org/changeset/ports/457313

Log:
  lang/mono: set LLD_UNSAFE to avoid linking with lld

  mono fails to link with lld because lld defaults to -ztext and does not
  allow relocations in readonly segments (such as the one containing
  .text).  For now just fall back to linking with ld.bfd if the system ld
  is lld.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/lang/mono/Makefile
Comment 64 commit-hook freebsd_committer 2017-12-27 00:32:59 UTC
A commit references this bug:

Author: emaste
Date: Wed Dec 27 00:32:31 UTC 2017
New revision: 457344
URL: https://svnweb.freebsd.org/changeset/ports/457344

Log:
  security/otpw: set LLD_UNSAFE to avoid linking with lld

  lld does not have built-in search paths, so direct link invocations that
  specify a library (e.g. -lcrypto) but do not specify a search path
  (e.g. -L/usr/lib) will fail.

  PR:		214864
  Submitted by:	krion
  Approved by:	portmgr (LLD_UNSAFE blanket)

Changes:
  head/security/otpw/Makefile
Comment 65 commit-hook freebsd_committer 2017-12-27 00:55:20 UTC
A commit references this bug:

Author: emaste
Date: Wed Dec 27 00:54:44 UTC 2017
New revision: 457345
URL: https://svnweb.freebsd.org/changeset/ports/457345

Log:
  lang/rexx-regutil: set LLD_UNSAFE to avoid linking with lld

  lld does not have built-in search paths, so direct link invocations that
  specify a library (e.g. -lncurses) but do not specify a search path
  (e.g. -L/usr/lib) will fail.

  PR:		214864
  Submitted by:	krion
  Approved by:	portmgr (LLD_UNSAFE blanket)

Changes:
  head/lang/rexx-regutil/Makefile
Comment 66 commit-hook freebsd_committer 2017-12-27 15:24:20 UTC
A commit references this bug:

Author: emaste
Date: Wed Dec 27 15:23:24 UTC 2017
New revision: 457373
URL: https://svnweb.freebsd.org/changeset/ports/457373

Log:
  math/p5-Math-Pari: set LLD_UNSAFE to avoid linking with lld

  lld defaults to disallowing relocations in readonly segments (e.g., the
  one containing .text).  For now just fall back to linking with ld.bfd if
  the system ld is lld.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/math/p5-Math-Pari/Makefile
Comment 67 Antoine Brodin freebsd_committer 2017-12-29 11:54:55 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR214864-default&build=2017-12-28_12h45m12s

New failures on amd64:

+ {"origin"=>"audio/alure", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/easytag", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/invada-studio-plugins-lv2", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"audio/oss", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgres-xl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgresql10-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql92-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql93-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql94-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql95-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql96-pgtcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/love07", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/love08", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/memleax", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/pdcurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/upp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/dolphin-emu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/fs-uae", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/gem5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/yabause", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"games/7kaa", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/OpenTomb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/allacrost", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/apricots", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/aquaria", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/arx-libertatis", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/assaultcube", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/atr3d", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/blackshadeselite", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/chromium-bsu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/dhewm3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/diaspora", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/el", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/endless-sky", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/excido", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/flightgear", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/freedoko", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/freeminer", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/glest", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/ioquake3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/iourbanterror", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/irrlamb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/linwarrior", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/megaglest", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/minetest", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openarena", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openastromenace", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openomf", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/retroarch", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/scorched3d", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/spacezero", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/spring", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/stuntrally", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/supertuxkart", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/tome4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/trigger-rally", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/valyriatear", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/vamos", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/voxelands", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/inventor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java3d", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"java/openjfx8-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/pypy", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/pypy3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/siod", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/rexx-regmath", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/gmerlin", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/gxine", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/k9copy-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/quark", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/xine", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/toxic", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/uTox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/pdftk", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"shells/bash-static", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/e2fsprogs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/pstacku", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/puppet5", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"sysutils/unieject", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/dummyflash", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mozplugger", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/tdom", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"x11/eaglemode", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs on amd64:

http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/alure-1.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/easytag-2.4.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/invada-studio-plugins-lv2-1.2.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/oss-4.2.b2017.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/wrk-4.0.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pgtcl-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/postgres-xl-9.5.r1.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pgtcl-postgresql10-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pgtcl-postgresql92-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pgtcl-postgresql93-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pgtcl-postgresql94-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pgtcl-postgresql95-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pgtcl-postgresql96-2.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/love07-0.7.2_15.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/love08-0.8.0_9.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/memleax-1.0.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pdcurses-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/upp-10804_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/dolphin-emu-5.0_14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/fs-uae-2.4.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/gem5-0.0.20140422.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/yabause-0.9.14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/7kaa-2.14.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/OpenTomb-2017.08.05.a.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/allacrost-1.0.2_20.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/apricots-0.2.6_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/aquaria-1.002.22_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/arx-libertatis-1.1.2_8.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/assaultcube-1.2.0.2_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/atr3d-0.6_18.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/blackshadeselite-0.0.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/chromium-bsu-0.9.16.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/dhewm3-1.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/diaspora-1.1.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/el-1.9.4.3_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/endless-sky-0.9.8_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/excido-0.1.5c_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/flightgear-2017.3.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/freedoko-0.7.16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/freeminer-0.4.10.4_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/glest-3.2.2_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/ioquake3-1.36_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/iourbanterror-4.2.023.1.36_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/irrlamb-0.2.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/linwarrior-20100320_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/megaglest-3.13.0_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/minetest-0.4.16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/openarena-1.36_3,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/openastromenace-1.3.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/openomf-0.6.5_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/RetroArch-1.3.6_9.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/scorched3d-0.43.3d_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/spacezero-0.86.00.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/spring-98.0_9.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/stuntrally-2.6_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/supertuxkart-0.9.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/tome4-1.5.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/trigger-rally-0.6.5_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/valyriatear-1.0.0_2.log
ttp://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/vamos-0.7.1_13.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/vegastrike-0.5.1.r1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/voxelands-1604.00_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/inventor-2.1.5.p10_14.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/java3d-1.5.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/openjfx8-devel-8.u172.b00_3,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/fpc-3.0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pypy-5.9.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pypy3-5.9.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/siod-3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/rexx-regmath-1.00.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/seabios-1.10.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/gmerlin-1.2.0_12.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/gxine-0.5.908_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/k9copy-2.3.4_15.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/quark-3.24_8.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/xine-0.99.9_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/toxic-0.8.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/uTox-0.11.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/monero-cli-0.11.1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pdftk-2.02_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/bash-static-4.4.12_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/e2fsprogs-1.43.7_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/pstacku-0.9.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/puppet5-5.3.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/unieject-6_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/dummyflash-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/mozplugger-2.1.6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/tDOM-0.8.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2017-12-28_12h45m12s/logs/errors/eaglemode-0.93.1.log
Comment 68 commit-hook freebsd_committer 2017-12-29 15:21:47 UTC
A commit references this bug:

Author: emaste
Date: Fri Dec 29 15:20:54 UTC 2017
New revision: 457508
URL: https://svnweb.freebsd.org/changeset/ports/457508

Log:
  sysutils/e2fsprogs: set LLD_UNSAFE to avoid linking with lld

  One test fails when this port is linked with lld:

  d_loaddump: debugfs load/dump test: failed

  --- d_loaddump/expect	2017-10-16 05:45:45.000000000 +0000
  +++ d_loaddump.log	2017-12-28 13:00:42.099973000 +0000
  @@ -10,7 +10,7 @@
   Pass 3: Checking directory connectivity
   Pass 4: Checking reference counts
   Pass 5: Checking group summary information
  -test_filesys: 12/64 files (0.0% non-contiguous), 158/512 blocks
  +test_filesys: 12/64 files (0.0% non-contiguous), 156/512 blocks
   Exit status is 0
   debugfs -R ''dump test_data d_loaddump.ver.tmp'' test.img
   Exit status is 0

  This looks like a very unusual failure and careful investigation into
  lld's behaviour is warranted, but for now set LLD_UNSAFE to fall back
  to ld.bfd so the port continues to build for users using lld as
  /usr/bin/ld.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/sysutils/e2fsprogs/Makefile
Comment 69 commit-hook freebsd_committer 2017-12-29 16:16:38 UTC
A commit references this bug:

Author: emaste
Date: Fri Dec 29 16:16:01 UTC 2017
New revision: 457511
URL: https://svnweb.freebsd.org/changeset/ports/457511

Log:
  multimedia/xine: set LLD_UNSAFE to avoid lld

  xine relies on ld.bfd's permissive treatment of shared library symbols
  with protected visibility, and attempting to link with lld fails with
  errors like:

  /usr/bin/ld: error: cannot preempt symbol: xine_usec_sleep
  >>> defined in /usr/local/lib/libxine.so
  >>> referenced by actions.c
  >>>               actions.o:(wait_for_window_visible)

  For now set LLD_UNSAFE=yes so that the port will continue to link with
  ld.bfd if /usr/bin/ld is lld, until the issue can be addressed (with a
  change in libxine or in lld).

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/multimedia/xine/Makefile
Comment 70 commit-hook freebsd_committer 2017-12-29 16:24:48 UTC
A commit references this bug:

Author: emaste
Date: Fri Dec 29 16:24:16 UTC 2017
New revision: 457512
URL: https://svnweb.freebsd.org/changeset/ports/457512

Log:
  audio/alure: set LLD_UNSAFE

  Linking with LLD currently fails due to preemption of symbols with
  protected visibility in a shared object:

  /usr/bin/ld: error: cannot preempt symbol: alureInitDevice
  >>> defined in libalure.so.1.2.0
  >>> referenced by examples/alurestream.c
  >>>               CMakeFiles/alurestream.dir/examples/alurestream.o:(main)

  For now set LLD_UNSAFE=yes so that the port will continue to link with
  ld.bfd if /usr/bin/ld is lld, until the issue can be addressed (with a
  change in openal-soft or in lld).

  PR:		214864, 219089
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/audio/alure/Makefile
Comment 71 commit-hook freebsd_committer 2017-12-30 21:16:06 UTC
A commit references this bug:

Author: krion
Date: Sat Dec 30 21:15:26 UTC 2017
New revision: 457638
URL: https://svnweb.freebsd.org/changeset/ports/457638

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd if
  /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864

  Approved by:	portmgr (LLD_UNSAFE blanket)

  Sponsored by:	The FreeBSD Foundation

Changes:
  head/benchmarks/wrk/Makefile
Comment 72 commit-hook freebsd_committer 2017-12-30 21:47:35 UTC
A commit references this bug:

Author: krion
Date: Sat Dec 30 21:46:46 UTC 2017
New revision: 457642
URL: https://svnweb.freebsd.org/changeset/ports/457642

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd if
  /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/devel/upp/Makefile
Comment 73 commit-hook freebsd_committer 2017-12-30 22:34:27 UTC
A commit references this bug:

Author: krion
Date: Sat Dec 30 22:33:48 UTC 2017
New revision: 457651
URL: https://svnweb.freebsd.org/changeset/ports/457651

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/lang/siod/Makefile
Comment 74 Ed Maste freebsd_committer 2018-01-05 17:24:42 UTC
krion@, is the "updated patch for all broken ports without LLD_UNSAFE" patch now obsolete? I.e., do all of the ports in there that can be fixed with LLD_UNSAFE now have LLD_UNSAFE in the svn Makefiles?

(There are a number of ports for which LLD_UNSAFE does not work, because those ports do not honour the LD environment variable and/or -fuse-ld=bfd in LDFLAGS).
Comment 75 Kirill Ponomarev freebsd_committer 2018-01-05 17:29:20 UTC
(In reply to Ed Maste from comment #74)
Ed, yes this patch seems already obsolete now. I'm not sure if we fixed with LLD_UNSAFE those which can be fixed with it, I'm still on this list of broken ports, I'll finish review on this weekend.

There're a lot of ports which should be fixed by patching ltmain/configure etc.
Comment 76 Ed Maste freebsd_committer 2018-01-05 17:49:44 UTC
(In reply to Kirill Ponomarev from comment #75)
Sounds good, thanks for all of the effort Kirill!

For reference,
At this point lang/fpc is the only port failing with lld that's responsible for a significant (i.e., >= 10) number of skipped ports. I have an upstream bug report open for it: https://bugs.freepascal.org/view.php?id=32900

It's made slightly tricky because the ld invocation comes from a compiler driver written in Pascal :)

databases/postgresql95-pgtcl is second with 8 skipped. It's also a case of invoking ld directly and not honouring $LD:
ld -Bshareable -x -o libpgtcl2.0.0.so pgtcl.o pgtclCmds.o pgtclId.o  -L/usr/local/lib -ltcl86 -L/usr/local/lib -lpq   -lm  -rpath /usr/local/lib -rpath /usr/local/lib
ld: error: unable to find library -lm

The remaining failures are responsible for 4 or fewer skipped ports.

We still do not have a man page for lld though, and that's a blocker for switching by default.
Comment 77 commit-hook freebsd_committer 2018-01-07 11:35:00 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 11:33:59 UTC 2018
New revision: 458313
URL: https://svnweb.freebsd.org/changeset/ports/458313

Log:
  - Update to version 2.1.1
  - Fix building with LLD and honour $LD
  - Fix WWW: line

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/databases/pgtcl/Makefile
  head/databases/pgtcl/distinfo
  head/databases/pgtcl/files/
  head/databases/pgtcl/files/patch-configure
  head/databases/pgtcl/pkg-descr
Comment 78 Kirill Ponomarev freebsd_committer 2018-01-07 11:57:15 UTC
(In reply to Ed Maste from comment #76)
Ed, I committed fixes to databases/pgtcl to build it with lld, next week I'll prepare draft man page for lld. As I'm not doc committer, your strict reviews and approvals will be required :)
Comment 79 commit-hook freebsd_committer 2018-01-07 18:50:13 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 18:49:28 UTC 2018
New revision: 458369
URL: https://svnweb.freebsd.org/changeset/ports/458369

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/sysutils/pstacku/Makefile
Comment 80 commit-hook freebsd_committer 2018-01-07 18:55:21 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 18:54:47 UTC 2018
New revision: 458370
URL: https://svnweb.freebsd.org/changeset/ports/458370

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/shells/bash/Makefile
Comment 81 commit-hook freebsd_committer 2018-01-07 19:04:31 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 19:03:29 UTC 2018
New revision: 458372
URL: https://svnweb.freebsd.org/changeset/ports/458372

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/net-im/toxic/Makefile
Comment 82 commit-hook freebsd_committer 2018-01-07 19:19:46 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 19:19:00 UTC 2018
New revision: 458374
URL: https://svnweb.freebsd.org/changeset/ports/458374

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/graphics/inventor/Makefile
Comment 83 commit-hook freebsd_committer 2018-01-07 19:32:59 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 19:32:34 UTC 2018
New revision: 458375
URL: https://svnweb.freebsd.org/changeset/ports/458375

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/lang/pypy/Makefile
Comment 84 commit-hook freebsd_committer 2018-01-07 19:44:11 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 19:43:14 UTC 2018
New revision: 458377
URL: https://svnweb.freebsd.org/changeset/ports/458377

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/databases/postgres-xl/Makefile
Comment 85 commit-hook freebsd_committer 2018-01-07 19:50:19 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 19:49:15 UTC 2018
New revision: 458378
URL: https://svnweb.freebsd.org/changeset/ports/458378

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/emulators/fs-uae/Makefile
Comment 86 commit-hook freebsd_committer 2018-01-07 20:16:47 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 20:16:07 UTC 2018
New revision: 458381
URL: https://svnweb.freebsd.org/changeset/ports/458381

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/emulators/yabause/Makefile
Comment 87 commit-hook freebsd_committer 2018-01-07 20:22:55 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 20:22:22 UTC 2018
New revision: 458382
URL: https://svnweb.freebsd.org/changeset/ports/458382

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/games/7kaa/Makefile
Comment 88 commit-hook freebsd_committer 2018-01-07 21:28:52 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 21:28:00 UTC 2018
New revision: 458385
URL: https://svnweb.freebsd.org/changeset/ports/458385

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/games/OpenTomb/Makefile
  head/games/apricots/Makefile
  head/games/arx-libertatis/Makefile
  head/games/atr3d/Makefile
Comment 89 commit-hook freebsd_committer 2018-01-07 22:34:49 UTC
A commit references this bug:

Author: krion
Date: Sun Jan  7 22:34:17 UTC 2018
New revision: 458388
URL: https://svnweb.freebsd.org/changeset/ports/458388

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/games/dhewm3/Makefile
  head/games/endless-sky/Makefile
  head/games/freeminer/Makefile
  head/games/glest/Makefile
Comment 90 commit-hook freebsd_committer 2018-01-08 10:39:27 UTC
A commit references this bug:

Author: krion
Date: Mon Jan  8 10:38:21 UTC 2018
New revision: 458402
URL: https://svnweb.freebsd.org/changeset/ports/458402

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/games/ioquake3/Makefile
  head/games/irrlamb/Makefile
  head/games/minetest/Makefile
  head/games/openomf/Makefile
  head/games/spacezero/Makefile
  head/games/supertuxkart/Makefile
Comment 91 commit-hook freebsd_committer 2018-01-08 13:21:38 UTC
A commit references this bug:

Author: krion
Date: Mon Jan  8 13:21:10 UTC 2018
New revision: 458408
URL: https://svnweb.freebsd.org/changeset/ports/458408

Log:
  Set LLD_UNSAFE=yes that the port will continue to link with ld.bfd
  if /usr/bin/ld is lld, until the issue can be addressed.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/games/tome4/Makefile
  head/games/trigger-rally/Makefile
  head/games/valyriatear/Makefile
  head/games/vamos/Makefile
  head/games/vegastrike/Makefile
  head/games/voxelands/Makefile
Comment 92 Kirill Ponomarev freebsd_committer 2018-01-08 13:25:47 UTC
Ed, I finished adding LLD_UNSAFE to all broken ports, which needed it, I think we can do exp-build once again to finish ports job.

lang/fpc is the only port which requires attention, but this failure should be reported to upstream first.

I think now, we're in good shape from ports view to switch to default ld.lld. After adding man page we can proceed with it IMO.
Comment 93 Ed Maste freebsd_committer 2018-01-08 13:52:17 UTC
(In reply to Kirill Ponomarev from comment #92)
> Ed, I finished adding LLD_UNSAFE to all broken ports, which needed it, I think
> we can do exp-build once again to finish ports job.

Thank you, I agree one more exp-run is valuable. We're definitely into the long tail but should take one last look for anything that must be addressed in the near term.

> lang/fpc is the only port which requires attention, but this failure should be
> reported to upstream first.

Yep, I submitted one some time ago: https://bugs.freepascal.org/view.php?id=32900

That bug is for the root cause; we probably also want to submit a patch to allow $LD to override the linker, and apply that workaround to the port in the short term.

> I think now, we're in good shape from ports view to switch to default ld.lld.
> After adding man page we can proceed with it IMO.

I agree.

Thanks for all of the effort you've put into addressing these!
Comment 94 Ed Maste freebsd_committer 2018-01-10 01:34:57 UTC
Start of man page at https://reviews.freebsd.org/D13813
Comment 95 Ed Maste freebsd_committer 2018-01-12 03:27:59 UTC
lld is now set as the bootstrap compiler on amd64 and i386 by default.
GNU ld.bfd is still installed as /usr/bin/ld on both archs and thus will still be used for linking ports by default.

I suggest that we wait for dim@ to merge Clang 6.0.0 to HEAD and then perform another exp-run to check again after krion@ added LLD_UNSAFE to many ports.
Comment 96 Antoine Brodin freebsd_committer 2018-01-14 08:28:30 UTC
On amd64 there is this failure with clang 6 that didn't happen during the exp-run  (exp-run wasn't done with lld):

http://beefy12.nyi.freebsd.org/data/head-amd64-default/p458948_s327953/logs/errors/openblas-0.2.20_1,1.log
Comment 97 Jan Beich freebsd_committer 2018-01-14 14:25:27 UTC
(In reply to Antoine Brodin from comment #96)
> cc -O2 -DUTEST_CHECK -DSANITY_CHECK -DREFNAME=f_ -DMAX_STACK_ALLOC=2048 -DEXPRECISION -Wall -m64 -DF_INTERFACE_GFORT -fPIC -DDYNAMIC_ARCH -DNO_AVX -DNO_AVX2 -DNO_WARMUP -DMAX_CPU_NUMBER=1 -DASMNAME= -DASMFNAME=_ -DNAME=_ -DCNAME= -DCHAR_NAME=\"_\" -DCHAR_CNAME=\"\" -DNO_AFFINITY -I..  -o openblas_utest utest_main.o test_amax.o test_potrs.o ../libopenblas-r0.2.20.a -lm  -Wl,-rpath=/usr/local/lib/gcc6  -L/usr/local/lib/gcc6 -B/usr/local/bin -fstack-protector -lgfortran -lm  -Wl,-rpath=/usr/local/lib/gcc6  -L/usr/local/lib/gcc6 -B/usr/local/bin -fstack-protector -lgfortran -L/usr/local/lib/gcc6/gcc/x86_64-portbld-freebsd12.0/6.4.0 -L/usr/local/lib/gcc6/gcc/x86_64-portbld-freebsd12.0/6.4.0/../../../../../x86_64-portbld-freebsd12.0/lib -L/usr/local/lib/gcc6/gcc/x86_64-portbld-freebsd12.0/6.4.0/../../..  -lgfortran -lm -lquadmath -lm -lc  
> ./openblas_utest
> /lib/libgcc_s.so.1: version GCC_4.6.0 required by /usr/local/lib/gcc6/libgfortran.so.3 not found

Here's a shorter version:

$ pkg install gcc6
$ echo 'int main() {}' >a.c
$ cc -lm -Wl,-rpath=/usr/local/lib/gcc6 -L/usr/local/lib/gcc6 -B/usr/local/bin -lgfortran a.c
$ ./a.out
/lib/libgcc_s.so.1: version GCC_4.6.0 required by /usr/local/lib/gcc6/libgfortran.so.3 not found

Before:
$ readelf -d /usr/lib/libm.so | fgrep NEEDED
 0x0000000000000001 NEEDED               Shared library: [libc.so.7]

After:
$ readelf -d /usr/lib/libm.so | fgrep NEEDED
 0x0000000000000001 (NEEDED)             Shared library: [libgcc_s.so.1]
 0x0000000000000001 (NEEDED)             Shared library: [libc.so.7]
Comment 98 Ed Maste freebsd_committer 2018-01-14 20:04:22 UTC
antoine reports on amd64 after LLD_BOOTSTRAP (but before Clang 6):

> On amd64,  I noticed 1 new failure:
>
> http://beefy12.nyi.freebsd.org/data/head-amd64-default/p458707_s327803/logs/errors/leatherman-1.3.0_3.log
Comment 99 Ed Maste freebsd_committer 2018-01-14 20:05:40 UTC
leatherman failure is:

: && /usr/bin/c++  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing  -fstack-protector tests/CMakeFiles/leatherman_test.dir/main.cc.o tests/CMakeFiles/leatherman_test.dir/__/util/tests/scoped_env.cc.o tests/CMakeFiles/leatherman_test.dir/__/util/tests/strings_test.cc.o tests/CMakeFiles/leatherman_test.dir/__/util/tests/option_set.cc.o tests/CMakeFiles/leatherman_test.dir/__/util/tests/environment.cc.o tests/CMakeFiles/leatherman_test.dir/__/util/tests/timer.cc.o tests/CMakeFiles/leatherman_test.dir/__/util/tests/uri.cc.o tests/CMakeFiles/leatherman_test.dir/__/util/tests/posix/environment.cc.o tests/CMakeFiles/leatherman_test.dir/__/locale/tests/locale.cc.o tests/CMakeFiles/leatherman_test.dir/__/locale/tests/format.cc.o tests/CMakeFiles/leatherman_test.dir/__/logging/tests/logging.cc.o tests/CMakeFiles/leatherman_test.dir/__/logging/tests/logging_stream.cc.o tests/CMakeFiles/leatherman_test.dir/__/logging/tests/logging_stream_lines.cc.o tests/CMakeFiles/leatherman_test.dir/__/logging/tests/logging_on_message.cc.o tests/CMakeFiles/leatherman_test.dir/__/logging/tests/posix/logging.cc.o tests/CMakeFiles/leatherman_test.dir/__/logging/tests/logging_i18n.cc.o tests/CMakeFiles/leatherman_test.dir/__/json_container/tests/json_container_test.cc.o tests/CMakeFiles/leatherman_test.dir/__/file_util/tests/file_utils_test.cc.o tests/CMakeFiles/leatherman_test.dir/__/file_util/tests/directory_utils_test.cc.o tests/CMakeFiles/leatherman_test.dir/__/file_util/tests/fixtures.cc.o tests/CMakeFiles/leatherman_test.dir/__/curl/tests/client_test.cc.o tests/CMakeFiles/leatherman_test.dir/__/curl/tests/request_test.cc.o tests/CMakeFiles/leatherman_test.dir/__/curl/tests/response_test.cc.o tests/CMakeFiles/leatherman_test.dir/__/dynamic_library/tests/dynamic_library_tests.cc.o tests/CMakeFiles/leatherman_test.dir/__/execution/tests/log_capture.cc.o tests/CMakeFiles/leatherman_test.dir/__/execution/tests/posix/execution.cc.o tests/CMakeFiles/leatherman_test.dir/__/ruby/tests/api-test.cc.o  -o bin/leatherman_test  -Wl,-rpath,/usr/local/lib:/wrkdirs/usr/ports/devel/leatherman/work/.build/lib /usr/local/lib/libboost_date_time.so /usr/local/lib/libboost_chrono.so /usr/local/lib/libboost_system.so /usr/local/lib/libboost_locale.so /usr/local/lib/libboost_log.so /usr/local/lib/libboost_log_setup.so /usr/local/lib/libboost_thread.so /usr/local/lib/libboost_filesystem.so /usr/local/lib/libboost_regex.so /usr/local/lib/libboost_atomic.so -pthread lib/libleatherman_ruby.so.1.3.0 lib/libleatherman_execution.so.1.3.0 lib/libleatherman_dynamic_library.so.1.3.0 lib/libleatherman_curl.so.1.3.0 lib/libleatherman_file_util.so.1.3.0 lib/libleatherman_json_container.so.1.3.0 lib/libleatherman_logging.so.1.3.0 lib/libleatherman_locale.so.1.3.0 lib/libleatherman_util.so.1.3.0 lib/libmock_curl.so && :
/usr/local/lib/libboost_log_setup.so: undefined reference to `_ZTIDi'
/usr/local/lib/libboost_log_setup.so: undefined reference to `_ZTIDs'
c++: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 100 Jan Beich freebsd_committer 2018-01-14 21:13:41 UTC
(In reply to Ed Maste from comment #98)
> antoine reports on amd64 after LLD_BOOTSTRAP (but before Clang 6):

After -CURRENT upgraded LLD 6.0 only aarch64 needs LLD 5.0 fixes unless FreeBSD 11.2 would skip it.

(In reply to Ed Maste from comment #99)
> /usr/local/lib/libboost_log_setup.so: undefined reference to `_ZTIDi'
> /usr/local/lib/libboost_log_setup.so: undefined reference to `_ZTIDs'

Easy to reproduce via LDFLAGS+=-fuse-ld=bfd (both 2.17 and 2.28). Doesn't affect -fuse-ld=gold and -fuse-ld=lld. Maybe LLD changes ABI of some libs (libcxxrt?) which affects LLD_BOOTSTRAP but not LLD_IS_LD.
Comment 101 Ed Maste freebsd_committer 2018-01-23 18:07:31 UTC
> After -CURRENT upgraded LLD 6.0 only aarch64 needs LLD 5.0 fixes unless FreeBSD
> 11.2 would skip it.

I don't fully follow what you mean here - we'll have lld 5.0 by default in 11.1 arm64; 11.2 will have either 5.0 or 6.0. But either way I want to have a working lld in 11 even for non-default cases.

If the comment is around the fact that some ports may have LLD_UNSAFE set when not needed (if they're unsafe for lld 5.0 but work for 6.0) I think it's a minor issue. Once we update the minimum base versions used for ports builds we can revisit and make a pass over the ports tree to see if LLD_UNSAFE annotations can be removed.
Comment 102 Ed Maste freebsd_committer 2018-01-24 19:00:53 UTC
The DT_NEEDED issue should be fixed as of r328286 and the libcxxrt "_ZTIDh" issue as of r328305.
Comment 103 Ed Maste freebsd_committer 2018-03-12 19:32:31 UTC
Can we schedule another exp-run, now that the upgrade to Clang/LLVM/lld 6.0, and DT_NEEDED and libcxxrt issues are fixed
Comment 104 Antoine Brodin freebsd_committer 2018-03-22 06:46:59 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR214864-default&build=2018-03-21_17h43m11s

Around 700 ports were newly skipped due to new failures

New failures:

+ {"origin"=>"audio/easytag", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/invada-studio-plugins-lv2", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"audio/oss", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"devel/libds", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/libtecla", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/love07", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/love08", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/memleax", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/pdcurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/ztcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/dolphin-emu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"ftp/rexx-curl", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"games/allacrost", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/assaultcube", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/blackshadeselite", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/chromium-bsu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/diaspora", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/el", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/excido", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/flightgear", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/freedoko", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/keeperrl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/linwarrior", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/megaglest", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openastromenace", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/openclonk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/retroarch", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/scorched3d", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/spring", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/stuntrally", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/supertux2", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/eggdrop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/eggdrop-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/evangeline", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java3d", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"lang/fasm", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/fpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/ghc", "phase"=>"configure", "errortype"=>"coredump"}
+ {"origin"=>"lang/myrddin", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/rexx-imc", "phase"=>"configure", "errortype"=>"termios"}
+ {"origin"=>"lang/smlnj", "phase"=>"stage", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/tclX", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/qmail-dk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/rexx-regmath", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/gmerlin", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/gxine", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/harvid", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/k9copy-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/quark", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/uTox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/openprinting", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/dupd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/installwatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/unieject", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/cgihtml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/dummyflash", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/mod_jk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mozplugger", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/eaglemode", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/easytag-2.4.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/invada-studio-plugins-lv2-1.2.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/oss-4.2.b2017.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/libds-1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/libtecla-1.6.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/love07-0.7.2_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/love08-0.8.0_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/memleax-1.0.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/pdcurses-3.5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/ztcl-1.0.b4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/dolphin-emu-5.0_17.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/rexx-curl-2.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/allacrost-1.0.2_21.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/assaultcube-1.2.0.2_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/blackshadeselite-0.0.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/chromium-bsu-0.9.16.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/diaspora-1.1.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/el-1.9.4.3_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/excido-0.1.5c_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/flightgear-2017.3.1_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/freedoko-0.7.16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/keeperrl-0.0.23_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/linwarrior-20100320_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/megaglest-3.13.0_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/openastromenace-1.3.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/openclonk-8.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/RetroArch-1.3.6_9.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/scorched3d-0.43.3d_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/spring-98.0_10.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/stuntrally-2.6_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/supertux2-0.4.0_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/eggdrop-1.6.21_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/eggdrop-devel-1.8.0.20141008_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/evangeline-1.1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/java3d-1.5.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/fasm-1.71.58.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/fpc-3.0.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/ghc-8.0.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/myrddin-0.2.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/rexx-imc-1.76_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/tclX-8.4.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/rexx-regmath-1.00.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/seabios-1.11.0.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/gmerlin-1.2.0_12.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/gxine-0.5.910.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/harvid-0.8.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/k9copy-2.3.4_18.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/quark-3.24_8.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/uTox-0.11.1_6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/monero-cli-0.11.1.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/openprinting-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/dupd-1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/installwatch-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/unieject-6_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/cgihtml-1.69_3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/dummyflash-1.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/ap24-mod_jk-1.2.41,1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/mozplugger-2.1.6.log
http://package18.nyi.freebsd.org/data/headamd64PR214864-default/2018-03-21_17h43m11s/logs/errors/eaglemode-0.93.1.log
Comment 105 Ed Maste freebsd_committer 2018-03-23 13:46:31 UTC
Three ports are responsible for a significant number of skipped ports:

lang/ghc, 558 skipped, PR226872
lang/fpc, 111 skipped, PR222172
lang/ldc, 20 skipped, no PR yet

The reason for the lang/ldc failure is unclear; AFAICT the only failure information is "FAILURE: <list of object files>".

I've emailed the maintainers for all lld-related failures responsible for at least one skipped port to ask that they investigate the failure and workarounds and offered assistance.
Comment 106 Ed Maste freebsd_committer 2018-03-27 13:26:10 UTC
Failing port www/dummyflash was marked deprecated in r464168
Comment 107 Ed Maste freebsd_committer 2018-03-27 13:57:19 UTC
Many (all?) openal ports fail to link with lld, tracked in PR 226980. This all appears to be due to a reliance on the way ld.bfd handles preemption of protected visibility symbols in shared libraries. This may be fixed with a change to the openal lib, by making all of these dependent ports avoid lld (LLD_UNSAFE), or by adding a flag to lld to adopt the (broken?) bfd behaviour.
Comment 108 commit-hook freebsd_committer 2018-03-27 14:41:06 UTC
A commit references this bug:

Author: emaste
Date: Tue Mar 27 14:40:47 UTC 2018
New revision: 465707
URL: https://svnweb.freebsd.org/changeset/ports/465707

Log:
  multimedia/quark: set LLD_UNSAFE

  Ports using libxine fail to link due to shared library protected
  visibility symbol preemption issues.  Set LLD_UNSAFE to use ld.bfd.

  PR:		214864, 226981
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/multimedia/quark/Makefile
Comment 109 commit-hook freebsd_committer 2018-03-27 14:44:14 UTC
A commit references this bug:

Author: emaste
Date: Tue Mar 27 14:44:07 UTC 2018
New revision: 465708
URL: https://svnweb.freebsd.org/changeset/ports/465708

Log:
  multimedia/gxine: set LLD_UNSAFE

  Ports using libxine fail to link due to shared library protected
  visibility symbol preemption issues.  Set LLD_UNSAFE to use ld.bfd.

  PR:		214864, 226981
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/multimedia/gxine/Makefile
Comment 110 commit-hook freebsd_committer 2018-03-27 15:01:33 UTC
A commit references this bug:

Author: emaste
Date: Tue Mar 27 15:01:12 UTC 2018
New revision: 465711
URL: https://svnweb.freebsd.org/changeset/ports/465711

Log:
  multimedia/k9copy-kde4: set LLD_UNSAFE

  Ports using libxine fail to link due to shared library protected
  visibility symbol preemption issues.  Set LLD_UNSAFE to use ld.bfd.

  PR:		214864, 226981
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/multimedia/k9copy-kde4/Makefile
Comment 111 Ed Maste freebsd_committer 2018-03-27 15:07:29 UTC
It appears libxine has issues with shared object protected symbol preemption; multimedia/libxine does not link with lld or with ld.bfd from ports - see PR 226981. In any case the three remaining libxine-related ports failures -- multimedia/quark, multimedia/gxine, multimedia/k9copy-kde4 -- have been marked as LLD_UNSAFE and build with ld.bfd.
Comment 112 commit-hook freebsd_committer 2018-03-27 15:31:10 UTC
A commit references this bug:

Author: emaste
Date: Tue Mar 27 15:31:00 UTC 2018
New revision: 465718
URL: https://svnweb.freebsd.org/changeset/ports/465718

Log:
  sysutils/unieject: set LLD_UNSAFE

  unieject fails to link with lld as the system linker due to shared
  library protected visibility symbol preemption issues.  Set LLD_UNSAFE
  to use ld.bfd.

  Errors are of the form:

  /usr/bin/ld: error: cannot preempt symbol: libunieject_getdevice
  >>> defined in ./.libs/libunieject.so
  >>> referenced by unieject.c
  >>>               unieject-unieject.o:(main)

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/sysutils/unieject/Makefile
Comment 113 Ed Maste freebsd_committer 2018-03-27 16:41:35 UTC
PRs have now been submitted for each of the reported failures from the most recent exp-run.
Comment 114 Ed Maste freebsd_committer 2018-03-28 01:42:32 UTC
An LLD_UNSAFE improvement to automatically add BINARY_ALIAS+=ld=ld.bfd is in review at https://reviews.freebsd.org/D14876. With this change it should be sufficient to set only LLD_UNSAFE=yes and not explicitly use BINARY_ALIAS= ld=ld.bfd in

devel/pdcurses
devel/libds
lang/myrddin
irc/evangeline
sysutils/installwatch
Comment 115 Shawn Webb 2018-04-03 04:04:02 UTC
For what it's worth, it appears LLD_UNSAFE can be removed from games/endless-sky. It links just fine for me on HardenedBSD 12-CURRENT/amd64 with ld.lld.
Comment 116 Shawn Webb 2018-04-03 04:05:09 UTC
(In reply to Shawn Webb from comment #115)
Not that it's really needed since it's such an easy change, but here's the patch for removing LLD_UNSAFE from games/endless-sky/Makefile: https://github.com/HardenedBSD/hardenedbsd-ports/commit/ad06ef783ee8ee6c749b1dc9f2977a3b94ef0206
Comment 117 Ed Maste freebsd_committer 2018-04-05 20:17:15 UTC
(In reply to Shawn Webb from comment #116)
My goal right now is to chase up stragglers that aren't building with LLD; once we've switched /usr/bin/ld over to lld I'll start trying builds that ignore LLD_UNSAFE to find ones that can be removed.
Comment 118 Jan Beich freebsd_committer 2018-04-27 15:17:28 UTC
Is this on track for FreeBSD 12.0-RELEASE or allowed to slip?
Comment 119 Kirill Ponomarev freebsd_committer 2018-04-27 15:38:48 UTC
(In reply to Jan Beich from comment #118)
I think we can get it ironed out before November 18.
Comment 120 Ed Maste freebsd_committer 2018-04-27 17:49:22 UTC
(In reply to Jan Beich from comment #118)

For amd64 I believe the only issue of significant concern is lang/ghc, PR226872. Either the ghc update that's in progress will solve the lld incompatibility or we'll have to find some other workaround; either way /usr/bin/ld will switch to ld.lld for 12.0.
Comment 121 Ed Maste freebsd_committer 2018-05-25 23:24:39 UTC
This is ready for another exp-run after the lang/ghc update was committed (r470870).
Comment 122 Antoine Brodin freebsd_committer 2018-05-26 05:46:38 UTC
Does ghc has to be patched?

lang/ghc/Makefile-95-.if ${OSVERSION} < 1200000
lang/ghc/Makefile-96-USE_GCC=   yes
lang/ghc/Makefile-97-CONFIGURE_ARGS+=   --enable-dtrace=0
lang/ghc/Makefile-98-.else
lang/ghc/Makefile:99:LD=                ld.bfd
lang/ghc/Makefile-100-.endif
Comment 123 Ed Maste freebsd_committer 2018-05-27 17:45:41 UTC
(In reply to Antoine Brodin from comment #122)
> Does ghc has to be patched?

For the purpose of this exp-run I don't think it matters: my goal is to make sure that switching to lld doesn't unduly break the ports tree. If the ghc ports work with lld as /usr/bin/ld with the bfd override still in place that's sufficient for me.

It currently segfaults when lld is /usr/bin/ld - it appears the LD setting controls only the linker used to link ghc, not the linker ghc will in turn invoke. We will want to remove the override, but that can happen independently of switching to lld.
Comment 124 Ed Maste freebsd_committer 2018-05-29 11:23:37 UTC
(In reply to Ed Maste from comment #123)
That said, I tried building lang/ghc locally with lld as /usr/bin/ld and with the LD=ld.bfd line removed from the Makefile and it succeeded.
Comment 125 Antoine Brodin freebsd_committer 2018-05-30 15:06:09 UTC
Here are the new failure logs on amd64:

http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/memleax-1.0.3.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/lazarus-gtk2-1.8.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/lazarus-qt4-1.8.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/lazarus-qt5-1.8.2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/chromium-bsu-0.9.16.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/excido-0.1.5c_16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/freedoko-0.7.16.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/hedgewars-0.9.24.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/openclonk-8.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/springlobby-0.180_13.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/stuntrally-2.6_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/gseen.mod-1.1.1.p3_4.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/nbc-1.2.1.r4_11.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/smlnj-110.77.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/qmail-dk-0.54_1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/kopete-18.04.1.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/monero-cli-0.12.0.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR214864cxx98-default/2018-05-29_20h14m12s/logs/errors/eaglemode-0.93.1.log
Comment 126 Antoine Brodin freebsd_committer 2018-05-30 15:13:40 UTC
The exp-run was done with:
- vanilla ports tree
- base head with lld as ld and gnucxx98 instead of gnucxx14 as default c++ standard to increase coverage
Comment 128 Ed Maste freebsd_committer 2018-05-30 15:20:34 UTC
editors/lazarus, editors/lazarus-qt4, editors/lazarus-qt5:
../tools/svn2revisioninc .. revision.inc
gmake[2]: *** [Makefile:4378: revisioninc] Segmentation fault (core dumped)

games/chromium-bsu, games/excido, games/freedoko, games/openclonk, games/springlobby, games/stuntrally:
PR226980 openal issue

x11/eaglemode:
"cannot preempt" xine errors, PR226975

devel/memleax:
checking OS and machine type...
on FreeBSD.
checking libraries...
checking libunwind...
libunwind is missing.
Error: libunwind-devel is required.

games/hedgewars:
/usr/bin/ld: error: /wrkdirs/usr/ports/games/hedgewars/work/hedgewars-src-0.9.24.1/hedgewars/CMakeFiles/hwengine.dir/uConsts.o: invalid alignment of section headers

irc/gseen.mod:
ld -Bshareable -x -o ../../../gseen.so ../gseen.o -L/usr/local/lib -ltcl86 -lm -ldl  -lpthread
ld: error: unable to find library -lm
ld: error: unable to find library -ldl
ld: error: unable to find library -lpthread
*** Error code 1

lang/nbc:
/usr/bin/ld: error: NBCCommonData.o: invalid alignment of section headers

lang/smlnj:
strip: open /wrkdirs/usr/ports/lang/smlnj/work/stage/usr/local/smlnj/bin/.run/run.x86-freebsd.so failed: No such file or directory

mail/qmail-dk:
/usr/bin/ld: error: duplicate symbol: scan_ulong
>>> defined at scan_ulong.c
>>>            scan_ulong.o:(scan_ulong) in archive fs.a
>>> defined at scan_ulong.c
>>>            scan_ulong.o:(.text+0x0)

net-im/kopete:
/usr/bin/ld: error: duplicate symbol: JDnsShutdown::qt_metacall(QMetaObject::Call, int, void**)
>>> defined at moc_qjdnsshared_p.cxx
>>>            moc_qjdnsshared_p.cxx.o:(JDnsShutdown::qt_metacall(QMetaObject::Call, int, void**)) in archive protocols/jabber/libiris/libiris_kopete.a
>>> defined at mocs_compilation.cpp
>>>            mocs_compilation.cpp.o:(.text+0xB0F0) in archive protocols/jabber/libiris/libiris_kopete.a
...

net-p2p/monero-cli:
cd /wrkdirs/usr/ports/net-p2p/monero-cli/work/monero-0.12.0.0/src/blocks && cd /wrkdirs/usr/ports/net-p2p/monero-cli/work/monero-0.12.0.0/src/blocks && /usr/bin/ld -z noexecstack -z noexecheap -r -b binary -o /wrkdirs/usr/ports/net-p2p/monero-cli/work/monero-0.12.0.0/src/blocks/blocks.o blocks.dat
/usr/bin/ld: error: target emulation unknown: -m or at least one .o file required
Comment 129 commit-hook freebsd_committer 2018-05-30 16:59:06 UTC
A commit references this bug:

Author: emaste
Date: Wed May 30 16:58:38 UTC 2018
New revision: 471137
URL: https://svnweb.freebsd.org/changeset/ports/471137

Log:
  irc/gseen.mod: set LLD_UNSAFE to link using ld.bfd

  lld has no built-in search paths (/lib, /usr/lib).  Normally the linker
  is invoked from the compiler driver, and the search paths are added by
  the compiler.  If lld is invoked directly library search paths must be
  specified explicitly, with -L/lib -L/usr/lib.

  PR:		214864
  Approved by:	portmgr (LLD_UNSAFE blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/irc/gseen.mod/Makefile
Comment 130 Ed Maste freebsd_committer 2018-05-30 17:07:19 UTC
net-p2p/monero-cli is already tagged LLD_UNSAFE; it will need additional investigation
Comment 131 commit-hook freebsd_committer 2018-05-30 18:05:08 UTC
A commit references this bug:

Author: emaste
Date: Wed May 30 18:04:25 UTC 2018
New revision: 334391
URL: https://svnweb.freebsd.org/changeset/base/334391

Log:
  Enable lld as the system linker by default on amd64

  The migration to LLVM's lld linker has been in progress for quite some
  time - about three years ago I opened an upstream LLVM meta-bug to track
  issues using lld as FreeBSD's linker, and about 1.5 years ago requested
  the first exp-run with lld as the system linker.

  As of r327783 we enabled LLD_BOOTSTRAP by default on amd64, using lld as
  the linker to link the kernel and world, but GNU ld was still installed
  as /usr/bin/ld.

  The vast majority of issues observed when building ports with lld as the
  system linker have now been solved, so set LLD_IS_LD by default on amd64
  and install lld as /usr/bin/ld.  A small number of port failures remain
  and these will be addressed in the near future.

  Thanks to antoine@ for handling the exp-runs, krion@ for investigating
  many port failures and adding LLD_UNSAFE or other fixes or workarounds,
  and everyone who helped investigate, fix or tag ports.

  PR:		214864 (exp-run)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/share/mk/src.opts.mk
Comment 132 Ed Maste freebsd_committer 2018-05-31 13:27:15 UTC
I built editors/lazarus locally and was not able to reproduce the problem.
Comment 133 Ed Maste freebsd_committer 2018-05-31 13:46:07 UTC
devel/memleax addressed in PR 226994
Comment 134 Ed Maste freebsd_committer 2018-05-31 13:55:19 UTC
PRs are open for all outstanding failures. Most of these are for individual ports, except PR226980 for six games failing due to a common OpenAL issue and PR228637 for a common problem that affects the three editors/lazarus* ports.
Comment 135 Ed Maste freebsd_committer 2018-05-31 14:09:53 UTC
Created attachment 193869 [details]
Enable LLD options on i386

Updated patch to enable both LLD options (LLD_BOOTSTRAP and LLD_IS_LD) for i386
Comment 136 Ed Maste freebsd_committer 2018-07-30 12:32:28 UTC
i386 LLD_BOOTSTRAP exp-run is now good (PR225128) so should be ready for another LLD_IS_LD i386 exp-run
Comment 137 Ed Maste freebsd_committer 2018-07-30 14:39:04 UTC
Created attachment 195636 [details]
Updated diff to enable i386 LLD_IS_LD
Comment 138 Antoine Brodin freebsd_committer 2018-07-30 18:58:20 UTC
Exp-run started at http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2018-07-30_18h09m59s

The failures look similar so far
Comment 139 Ed Maste freebsd_committer 2018-07-31 13:26:14 UTC
(In reply to Antoine Brodin from comment #138)

Thanks. The affected ports all seem to be relocations against symbols in readonly segments, which is broadly indicative of an issue with the port itself and the ports should most likely be fixed to avoid these relocations (-fPIC, rewriting bespoke asm), or as a workaround specifying -znotext (allowing relocations against ro segments). However, as an expedient workaround I suggest we just add to the affected ports:

.if ${ARCH}=="i386"
# relocation against symbol in readonly segment
LLD_UNSAFE= yes
.endif
Comment 140 Ed Maste freebsd_committer 2018-08-01 12:36:48 UTC
As an alternate workaround we can probably just set -z notext for the link invocation, with something like the following in the affected port's Makefile:

.if ${ARCH} == i386
# PR214864 Allow relocations against read-only segments (override lld default)
LDFLAGS+=-Wl,-z,notext
.endif
Comment 141 Ed Maste freebsd_committer 2018-08-01 18:56:41 UTC
Created attachment 195726 [details]
add -Wl,-z,notext to the top failing i386 lld ports
Comment 142 Ed Maste freebsd_committer 2018-08-01 18:58:33 UTC
graphics/mesa-libs should be fixed by r476189 and I've attached a patch to make the same change for lang/php* and multimedia/xvid.  If this works I'll request blanket approval to make the same change to all of the i386 ports failing the same way.
Comment 143 commit-hook freebsd_committer 2018-08-14 13:33:52 UTC
A commit references this bug:

Author: jbeich
Date: Tue Aug 14 13:33:21 UTC 2018
New revision: 477151
URL: https://svnweb.freebsd.org/changeset/ports/477151

Log:
  math/libmissing: unbreak with LLD 7

  ld: error: unknown -z value: interpose
  cc: error: linker command failed with exit code 1 (use -v to see invocation)

  PR:		214864 230355
  Reported by:	antoine (via exp-run)

Changes:
  head/math/libmissing/Makefile
Comment 144 commit-hook freebsd_committer 2018-08-18 08:52:52 UTC
A commit references this bug:

Author: riggs
Date: Sat Aug 18 08:52:25 UTC 2018
New revision: 477486
URL: https://svnweb.freebsd.org/changeset/ports/477486

Log:
  Set LLD_UNSAFE on i386 to workaround linking problem with lld

  PR:		214864
  Reported by:	emaste

Changes:
  head/multimedia/libfame/Makefile
Comment 145 Ed Maste freebsd_committer 2018-09-17 15:23:42 UTC
Created attachment 197173 [details]
port patches to add -Wl,-znotext for i386
Comment 146 Ed Maste freebsd_committer 2018-09-17 15:28:35 UTC
With a head ports tree + a few patches to add -Wl,znotext (in the just-added patch) many of the previously-reported failing ports now link (e.g. mesa-libs, php*). Reviews are open for each of the changes in the new patch.

There are some ports that still fail to link with LLD_UNSAFE=yes or adding -Wl,-znotext (like math/p5-Math-Pari, devel/p5-Data-MessagePack-Stream, multimedia/libfame) because they do not honour LDFLAGS. We need to either patch those ports to honour LDFLAGS, or fix the underlying -fPIC issues in those ports.

That said, I would like to request another exp-run now in order to have a list of the new failures relative to HEAD so that we can propose patches for as many of the outstanding failures as possible.
Comment 147 commit-hook freebsd_committer 2018-09-18 13:57:25 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 18 13:57:03 UTC 2018
New revision: 480023
URL: https://svnweb.freebsd.org/changeset/ports/480023

Log:
  multimedia/openquicktime: add -fPIC to i386 CFLAGS

  By default lld disallows relocations in read-only segments; shared
  objects should be built as PIC.

  PR:		214864
  Approved by:	bapt

Changes:
  head/multimedia/openquicktime/Makefile
Comment 148 commit-hook freebsd_committer 2018-09-18 14:01:35 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 18 14:00:45 UTC 2018
New revision: 480024
URL: https://svnweb.freebsd.org/changeset/ports/480024

Log:
  multimedia/libx264: add -znotext to LDFLAGS on i386, for lld

  Example error:
  /usr/bin/ld: error: can't create dynamic relocation R_386_PC32 against
      symbol: gettimeofday in readonly segment; recompile object files
      with -fPIC

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments.  For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864, 230214
  Reviewed by:	koobs
  Approved by:	koobs
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D17201

Changes:
  head/multimedia/libx264/Makefile
Comment 149 commit-hook freebsd_committer 2018-09-18 14:53:21 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 18 14:53:04 UTC 2018
New revision: 480028
URL: https://svnweb.freebsd.org/changeset/ports/480028

Log:
  multimedia/libdv: add -znotext to LDFLAGS on i386, for lld

  Example error:

  /usr/bin/ld: error: can't create dynamic relocation R_386_32 against
      symbol: dv_vlc_class_index_mask in readonly segment; recompile
      object files with -fPIC
  >>> defined in .libs/vlc.o
  >>> referenced by .libs/vlc_x86.o:(.text+0xF)

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments. For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864
  Approved by:	bapt
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D17220

Changes:
  head/multimedia/libdv/Makefile
Comment 150 commit-hook freebsd_committer 2018-09-18 16:04:26 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 18 16:04:20 UTC 2018
New revision: 480032
URL: https://svnweb.freebsd.org/changeset/ports/480032

Log:
  multimedia/xvid: link with -znotext on i386

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments. For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864, 230208
  Approved by:	bapt
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D17195

Changes:
  head/multimedia/xvid/Makefile
Comment 151 commit-hook freebsd_committer 2018-09-18 16:05:33 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 18 16:05:15 UTC 2018
New revision: 480033
URL: https://svnweb.freebsd.org/changeset/ports/480033

Log:
  lang/ocaml: add -znotext to LDFLAGS on i386, for lld

  Example error:
  /usr/bin/ld: error: can't create dynamic relocation R_386_32 against
      symbol: caml_last_return_address in readonly segment; recompile
      object files with -fPIC

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments.  For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864, 230209
  Approved by:	bapt
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D17200

Changes:
  head/lang/ocaml/Makefile
Comment 152 commit-hook freebsd_committer 2018-09-18 16:07:41 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 18 16:06:56 UTC 2018
New revision: 480034
URL: https://svnweb.freebsd.org/changeset/ports/480034

Log:
  multimedia/openh264: add -znotext to LDFLAGS on i386, for lld

  Example error:
  /usr/bin/ld: error: can't create dynamic relocation R_386_32 against
      local symbol in readonly segment; recompile object files with -fPIC

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments.  For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864
  Approved by:	bapt
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D17179

Changes:
  head/multimedia/openh264/Makefile
Comment 153 commit-hook freebsd_committer 2018-09-18 16:08:45 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 18 16:08:01 UTC 2018
New revision: 480035
URL: https://svnweb.freebsd.org/changeset/ports/480035

Log:
  lang/php*: link with -znotext on i386

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments. For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864, 230207
  Approved by:	bapt
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D17193

Changes:
  head/lang/php56/Makefile
  head/lang/php70/Makefile
  head/lang/php71/Makefile
  head/lang/php72/Makefile
Comment 154 commit-hook freebsd_committer 2018-09-18 16:59:28 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 18 16:59:02 UTC 2018
New revision: 480036
URL: https://svnweb.freebsd.org/changeset/ports/480036

Log:
  math/z3: add -znotext to LDFLAGS on i386, for lld

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments. For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864
  Approved by:	portmgr (lld blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/math/z3/Makefile
Comment 155 Mark Linimon freebsd_committer freebsd_triage 2018-09-18 21:38:52 UTC
(In reply to Ed Maste from comment #146)

> There are some ports that still fail to link with LLD_UNSAFE=yes [...] because they do not honour LDFLAGS.

These ports are broken and should be fixed.

I used to have a tool that walked through the tree looking for cases where flags were being stomped on.  If anyone is interested in collaborating on it with me, let me know.  See https://wiki.freebsd.org/Ports/Flags .
Comment 156 Ed Maste freebsd_committer 2018-09-18 21:44:22 UTC
(In reply to Mark Linimon from comment #155)
Note that in (most of?) the cases I've seen this hasn't been an issue with the ports tree itself, but the upstream build infrastructure (i.e., it does not do anything with LDFLAGS).
Comment 157 Antoine Brodin freebsd_committer 2018-09-20 18:22:27 UTC
Exp-run results:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2018-09-18_21h13m11s

Around 1400 ports newly skipped due to failures

New failure logs:

http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/peazip-qt4-6.6.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/peazip-qt5-6.6.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/peazip-gtk2-6.6.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/deadbeef-0.7.2_11.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/faust-lv2-1.4.20180118_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/ocp-0.1.21_3,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/triceratops-lv2-0.3.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/xmms-sapplug-0.3.f_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/zinf-2.2.5_22.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/qcad-3.21.1.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/zcad-qt4-0.9.8_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/zcad-gtk2-0.9.8_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/cqrlog-qt4-2.3.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/cqrlog-gtk2-2.3.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/libfec-3.0.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/p5-DBD-Oracle-1.19_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/fastcrc-1.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/jna-4.5.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/mpatrol-1.4.8_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/p5-Algorithm-Cluster-1.56.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/p5-Data-MessagePack-Stream-0.07_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/sope4-4.0.2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/picpas-qt4-0.8.8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/picpas-qt5-0.8.8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/picpas-gtk2-0.8.8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/mupen64plus-audio-sdl-2.5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/mupen64plus-core-2.5_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/mupen64plus-input-sdl-2.5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/mupen64plus-rsp-hle-2.5_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/mupen64plus-video-rice-2.5_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/tuxnes-0.75_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/virtualbox-ose-5.2.18_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/virtualbox-ose-additions-nox11-5.2.18_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/virtualbox-ose-nox11-5.2.18_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/blackshadeselite-0.0.1_10.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/linwarrior-20100320_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/lwjgl-2.9.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/q2pro-142_12.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/quake2lnx-0.16.2_15.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/quakeforge-0.7.2_6.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/lazpaint-qt4-6.4.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/lazpaint-qt5-6.4.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/lazpaint-gtk2-6.4.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/libboard-0.9.4_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/libosmesa-18.1.8_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/mesa-dri-18.1.8_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/cacao-1.6.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/openjdk6-b45,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/openjdk6-jre-b45,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/clover-18.1.8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/nml-0.92b.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/rust-nightly-1.25.0.20180403.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/ccmath-2.2.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/p5-Math-Pari-2.01080900.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/py36-z3-solver-4.7.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/py27-z3-solver-4.7.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/gstreamer-ffmpeg-0.10.13_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/libass-0.14.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/libfame-0.9.1_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/smpeg-0.4.4_14.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/x265-2.8_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/awgg-qt4-0.5.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/awgg-qt5-0.5.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/awgg-gtk2-0.5.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/transmission-remote-gui-qt4-5.15.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/transmission-remote-gui-qt5-5.15.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/transmission-remote-gui-gtk2-5.15.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/ru-emkatic-qt4-0.36_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/ru-emkatic-qt5-0.36_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/ru-emkatic-gtk2-0.36_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/afni-2015.11.13_7.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/checkmol-0.5_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/mol2ps-0.4b_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/openssl-1.0.2p_1,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/openssl-devel-1.1.0i.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/openssl-unsafe-1.0.2.20170706.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/openssl111-1.1.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/veracrypt-1.22.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/javaservicewrapper-3.5.29.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/osquery-3.2.6_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/doublecmd-qt4-0.8.3_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/doublecmd-gtk2-0.8.3_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-09-18_21h13m11s/logs/errors/slingshot-2.1_3.log
Comment 158 commit-hook freebsd_committer 2018-09-20 18:50:50 UTC
A commit references this bug:

Author: emaste
Date: Thu Sep 20 18:49:52 UTC 2018
New revision: 480189
URL: https://svnweb.freebsd.org/changeset/ports/480189

Log:
  graphics/mesa-drivers: add -znotext to LDFLAGS on i386, for lld

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments.  For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864
  Approved by:	portmgr (lld blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/graphics/mesa-dri/Makefile
Comment 159 commit-hook freebsd_committer 2018-09-20 19:07:06 UTC
A commit references this bug:

Author: emaste
Date: Thu Sep 20 19:07:00 UTC 2018
New revision: 480190
URL: https://svnweb.freebsd.org/changeset/ports/480190

Log:
  graphics/libosmesa: add -znotext to LDFLAGS on i386, for lld

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments.  For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864
  Approved by:	portmgr (lld blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/graphics/libosmesa/Makefile
Comment 160 Michael Osipov 2018-09-22 07:44:04 UTC
Guys, I am the port maintainer of javaservicewrapper and looking into this. Can someone tell me how to propperly reproduce this issue?

> sudo poudriere testport -j 12-current-i386 -p development -o sysutils/javaservicewrapper

does not fail with 12.0-ALPHA7 on my test box.
Comment 161 Cy Schubert freebsd_committer 2018-09-23 18:32:56 UTC
I am unable to reproduce the x11-toolkits/slingshot failure with the src/ patch applied. It builds and installs successfully.
Comment 162 Ed Maste freebsd_committer 2018-09-24 19:14:04 UTC
(In reply to Michael Osipov from comment #160)
lld is not yet the default system linker on i386, so you need to build WITH_LLD_IS_LD somehow. For my testing I'm using a git branch with the default changed as my jail source.

I'm not sure of the canonical way to apply such an override in Poudriere though.
Comment 163 Ed Maste freebsd_committer 2018-09-24 19:26:36 UTC
(In reply to Cy Schubert from comment #161)

I reproduced the slingshot error in my local build - the easiest way is probably just to create an i386 jail, then make /usr/bin/ld a symlink to ld.lld.
Comment 164 Ed Maste freebsd_committer 2018-09-24 19:28:50 UTC
The top four failures in the exp-run are now either fixed or have a patch available (multimedia/smpeg), which should put us between 100 to 200 new failed + skipped with lld on i386.
Comment 165 commit-hook freebsd_committer 2018-09-25 14:42:40 UTC
A commit references this bug:

Author: emaste
Date: Tue Sep 25 14:42:34 UTC 2018
New revision: 480666
URL: https://svnweb.freebsd.org/changeset/ports/480666

Log:
  audio/triceratops-lv2: add -znotext to LDFLAGS on i386, for lld

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments. For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864
  Approved by:	portmgr (lld blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/audio/triceratops-lv2/Makefile
Comment 166 commit-hook freebsd_committer 2018-09-26 13:41:03 UTC
A commit references this bug:

Author: emaste
Date: Wed Sep 26 13:40:54 UTC 2018
New revision: 480739
URL: https://svnweb.freebsd.org/changeset/ports/480739

Log:
  devel/sope4: set LLD_UNSAFE

  This port experiences odd failures with lld, so just fall back to
  GNU ld.

  amd64, lld 7.0:

  ld: error: corrupt input file: version definition index 2 for symbol
      undleManager.bundleSearchPaths is out of bounds
  >>> defined in ./../sope-core/NGExtensions/obj/libNGExtensions.so

  i386, lld 6.0:

  /usr/bin/ld: error: TLS attribute mismatch: _ThreadRuneLocale

  PR:		214864, 230608
  Approved by:	portmgr (lld blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/devel/sope4/Makefile
Comment 167 commit-hook freebsd_committer 2018-09-26 13:56:22 UTC
A commit references this bug:

Author: emaste
Date: Wed Sep 26 13:55:28 UTC 2018
New revision: 480740
URL: https://svnweb.freebsd.org/changeset/ports/480740

Log:
  emulators/tuxnes: set LLD_UNSAFE on i386

  This port builds and runs a build tool, which segfaults when lld is the
  i386 system linker:

  cc  -O2 -pipe  -fstack-protector -fno-strict-aliasing  -pipe -Wall
      -I/usr/local/include  -I/usr/local/include -fstack-protector
      -o comptbl  comptbl.o  -lm -lz -lXext -lXpm   -lSM -lICE -lX11
      -L/usr/local/lib
  ./comptbl
  gmake[1]: *** [Makefile:414: compdata] Segmentation fault (core dumped)

  PR:		214864
  Approved by:	portmgr (lld blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/emulators/tuxnes/Makefile
Comment 168 Jan Beich freebsd_committer 2018-09-26 15:18:57 UTC
I'm puzzled why my port started to fail only recently. Not to mention, audio/openal-soft builds fine with LLD >= 7. Maybe merge clang700 *before* /stable/12 branches to avoid facepalm for a whole year until EOL.
http://www.ipv6proxy.net/go.php?u=http%3A%2F%2Fbeefy12.nyi.freebsd.org%2Fdata%2Flatest-per-pkg%2Frpcs3%2F0.0.5.892%2Fhead-amd64-default.log
http://www.ipv6proxy.net/go.php?u=http%3A%2F%2Fbeefy12.nyi.freebsd.org%2Fdata%2Flatest-per-pkg%2Frpcs3%2F0.0.5.912%2Fhead-amd64-default.log
Comment 169 commit-hook freebsd_committer 2018-09-26 16:12:17 UTC
A commit references this bug:

Author: emaste
Date: Wed Sep 26 16:12:13 UTC 2018
New revision: 480747
URL: https://svnweb.freebsd.org/changeset/ports/480747

Log:
  Add -znotext to LDFLAGS on i386, for lld

  These ports link some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments.  For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864
  Approved by:	portmgr (lld blanket)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/audio/zinf/Makefile
  head/emulators/mupen64plus-core/Makefile
  head/games/q2pro/Makefile
  head/games/quakeforge/Makefile
  head/lang/clover/Makefile
  head/multimedia/gstreamer-ffmpeg/Makefile
  head/multimedia/libass/Makefile
Comment 170 commit-hook freebsd_committer 2018-09-27 02:42:05 UTC
A commit references this bug:

Author: cy
Date: Thu Sep 27 02:41:48 UTC 2018
New revision: 480770
URL: https://svnweb.freebsd.org/changeset/ports/480770

Log:
  Fix build on i386 for lld.

  This also works with ld.bfd.

  PR:		214864
  Reported by:	emaste@

Changes:
  head/x11-toolkits/slingshot/files/patch-config.svr4
Comment 171 commit-hook freebsd_committer 2018-09-28 23:21:00 UTC
A commit references this bug:

Author: db
Date: Fri Sep 28 23:20:21 UTC 2018
New revision: 480886
URL: https://svnweb.freebsd.org/changeset/ports/480886

Log:
  Fix build on i386 and aarch64 by enabling -fPIC
  Tested on poudriere i386 and amd64 tested build on RPi3

  PR:		214864
  Reported by:	@emaste

Changes:
  head/math/ccmath/Makefile
  head/math/ccmath/pkg-plist
Comment 172 Michael Osipov 2018-09-29 07:51:14 UTC
I managed to reproduce the issue with javaservicewrapper and the code happily compiles and links with -fPIC on i386. I have now inquired with the authors which route I should go as a maintainer.
Comment 173 Ed Maste freebsd_committer 2018-10-02 17:48:09 UTC
(In reply to Michael Osipov from comment #172)
> I have now inquired with the authors which route I should go as a maintainer.

Sounds good, thank you.
Comment 174 Michael Osipov 2018-10-02 18:11:58 UTC
(In reply to Ed Maste from comment #173)

So, I have got response from the authors. Upshot: we are good to use -fPIC or -fpic on i386, they will consider it by default for the next release.

See reference thread: https://sourceforge.net/p/wrapper/mailman/message/36430030/

Ed, shall I patch the Makefile with sed for 32 bit or do you see a better way to fix this? CFLAGS?
Comment 175 Ed Maste freebsd_committer 2018-10-02 18:17:32 UTC
(In reply to Michael Osipov from comment #174)
> Ed, shall I patch the Makefile with sed for 32 bit or do you see a better way
> to fix this? CFLAGS?

CFLAGS+=-fPIC is generally the preferred (least invasive, most straightforward, etc.) approach, but relies on the build infrastructure honouring CFLAGS. I would not be surprised to find that a java-related port doesn't use CFLAGS, in that case using sed inject -fPIC sounds reasonable.
Comment 176 Michael Osipov 2018-10-03 18:42:31 UTC
(In reply to Ed Maste from comment #175)

Ed, guess what, the previous port maintainer was so smart to foresee stuff like this. You can go ahead and apply this patch as recommended by the source maintainers:

> --- Makefile     2018-10-03 20:39:12.488535000 +0200
> +++ Makefile    2018-10-03 20:40:03.281083000 +0200
> @@ -30,6 +30,7 @@
>  MAKE_ARGS+=    -Dbits=64
>  .else
>  MAKE_ARGS+=    -Dbits=32
> +CFLAGS+=       -fPIC
>  .endif
> 
>  post-patch:

and the port will build again on i386.
Comment 177 commit-hook freebsd_committer 2018-11-03 20:29:53 UTC
A commit references this bug:

Author: emaste
Date: Sat Nov  3 20:29:12 UTC 2018
New revision: 483909
URL: https://svnweb.freebsd.org/changeset/ports/483909

Log:
  devel/sope{2,3}: set LLD_UNSAFE

  This port experiences odd failures with lld, so just fall back to
  GNU ld.

  PR:		214864, 230608
  Submitted by:	jbeich
  Reported by:	jbeich
  Approved by:	portmgr (LLD_UNSAFE blanket)

Changes:
  head/devel/sope2/Makefile
  head/devel/sope3/Makefile
Comment 178 commit-hook freebsd_committer 2018-11-06 16:53:42 UTC
A commit references this bug:

Author: emaste
Date: Tue Nov  6 16:53:31 UTC 2018
New revision: 484305
URL: https://svnweb.freebsd.org/changeset/ports/484305

Log:
  sysutils/javaservicewrapper: fix build with LLD on i386

  PR:		214864
  Submitted by:	michael.osipov@siemens.com (maintainer)
  Approved by:	kwm

Changes:
  head/sysutils/javaservicewrapper/Makefile
Comment 179 Ed Maste freebsd_committer 2018-11-06 17:19:34 UTC
From the most recent exp-run, sorted by number of skipped ports:

multimedia/x265               fixed
multimedia/smpeg              patch waiting in PR 231524
graphics/mesa-dri             fixed
graphics/libosmesa            fixed
lang/ldc                      not lld failure
multimedia/gstreamer-ffmpeg   fixed
math/p5-Math-Pari             patch waiting in PR 230213
multimedia/libass             fixed
emulators/mupen64plus-core    fixed
audio/deadbeef                asm bug in port, no PR yet
devel/jna                     no PR yet
japanese/groff                not lld failure
sysutils/javaservicewrapper   fixed

The remainder are responsible for 0-2 skipped ports each. Of the two without PRs above audio/deadbeef is responsible for 8 skipped and devel/jna 4.

Excluding ports with patches waiting on the maintainer I expect that we should be around ~ 100 failed+skipped ports at this point.
Comment 180 Antoine Brodin freebsd_committer 2018-11-22 19:53:56 UTC
Exp-run results:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2018-11-20_18h17m09s

New failure:

+ {"origin"=>"archivers/peazip", "flavor"=>"qt5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"archivers/peazip", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/deadbeef", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/faust-lv2", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"audio/gxplugins-lv2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/ocp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/qcad", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"cad/zcad", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/cqrlog", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/libfec", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/fastcrc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/jna", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/mpatrol", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/p5-Algorithm-Cluster", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"devel/p5-Data-MessagePack-Stream", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"editors/picpas", "flavor"=>"qt5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/picpas", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/virtualbox-ose", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"emulators/virtualbox-ose-additions", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"emulators/virtualbox-ose-additions-nox11", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"emulators/virtualbox-ose-nox11", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"games/blackshadeselite", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/linwarrior", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/lwjgl", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"games/quake2lnx", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"graphics/lazpaint", "flavor"=>"qt5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/lazpaint", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/cacao", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"java/openjdk6", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"java/openjdk6-jre", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/nml", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"lang/php73", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"math/p5-Math-Pari", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"math/py-z3-solver", "flavor"=>"py36", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"math/py-z3-solver", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/libav", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/mencoder", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"multimedia/mplayer", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/transcode", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/winff", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/fractal", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/awgg", "flavor"=>"qt5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/awgg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/transmission-remote-gui", "flavor"=>"qt5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/transmission-remote-gui", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"russian/emkatic", "flavor"=>"qt5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"russian/emkatic", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/afni", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"science/checkmol", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/mol2ps", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/openssl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/openssl-unsafe", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/veracrypt", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"sysutils/ffs2recov", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"www/mod_php73", "phase"=>"build", "errortype"=>"lld_linker_error"}
+ {"origin"=>"x11-fm/doublecmd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/eaglemode", "phase"=>"build", "errortype"=>"linker_error"}

Around 650 ports newly skipped due to those failures.

New failure logs:

http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/peazip-qt5-6.6.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/peazip-gtk2-6.6.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/deadbeef-0.7.2_12.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/faust-lv2-1.4.20180118_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/gxplugins-lv2-0.5_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/ocp-0.1.21_4,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/qcad-3.21.1.1_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/zcad-gtk2-0.9.8_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/cqrlog-gtk2-2.3.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/libfec-3.0.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/fastcrc-1.0.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/jna-4.5.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/mpatrol-1.4.8_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/p5-Algorithm-Cluster-1.56.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/p5-Data-MessagePack-Stream-0.07_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/picpas-qt5-0.8.8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/picpas-gtk2-0.8.8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/virtualbox-ose-5.2.22.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/virtualbox-ose-additions-5.2.22.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/virtualbox-ose-additions-nox11-5.2.22.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/virtualbox-ose-nox11-5.2.22.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/blackshadeselite-0.0.1_10.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/linwarrior-20100320_5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/lwjgl-2.9.3.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/quake2lnx-0.16.2_15.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/lazpaint-qt5-6.4.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/lazpaint-gtk2-6.4.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/cacao-1.6.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/openjdk6-b45,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/openjdk6-jre-b45,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/nml-0.92b.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/php73-7.3.0.r5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/p5-Math-Pari-2.01080900.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/py36-z3-solver-4.7.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/py27-z3-solver-4.7.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/libav-12.1_8.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/mencoder-1.3.0.20180920_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/mplayer-1.3.0.20180920_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/transcode-1.1.7_37.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/WinFF-gtk2-1.5.5_11.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/fractal-3.30.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/awgg-qt5-0.5.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/awgg-gtk2-0.5.1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/transmission-remote-gui-qt5-5.15.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/transmission-remote-gui-gtk2-5.15.4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/ru-emkatic-qt5-0.36_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/ru-emkatic-gtk2-0.36_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/afni-2015.11.13_7.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/checkmol-0.5_4.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/mol2ps-0.4b_2.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/openssl-1.0.2q,1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/openssl-unsafe-1.0.2.20170706.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/veracrypt-1.23.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/ffs2recov-1.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/mod_php73-7.3.0.r5.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/doublecmd-gtk2-0.8.3_1.log
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2018-11-20_18h17m09s/logs/errors/eaglemode-0.93.2_1.log
Comment 181 commit-hook freebsd_committer 2018-11-22 20:21:30 UTC
A commit references this bug:

Author: emaste
Date: Thu Nov 22 20:20:58 UTC 2018
New revision: 485615
URL: https://svnweb.freebsd.org/changeset/ports/485615

Log:
  lang/php73: link with -znotext on i386

  This port links some non-PIC code, which fails with lld as it defaults
  to disallowing relocations against read-only segments. For i386 we can
  just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's
  existing default.

  PR:		214864, 230207
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/lang/php73/Makefile
Comment 182 Ed Maste freebsd_committer 2018-11-22 20:26:08 UTC
(In reply to Antoine Brodin from comment #180)
Thanks Antoine, is there a straightforward way to sort these failures by # skipped? In the exp-run qt4-network is responsible for the largest number of skipped ports, but is not due to lld.

lang/php73 is a new port added during the lifetime of this exp-run needing the same fix as lang/php72 and earlier. It is responsible for 660 skipped (nearly all of the newly skipped).  Now fixed in r485615.

Next is lang/ldc with an unclear failure, 28 skipped.

p5-Math-Pari is still waiting on the patch in PR 230213 to be committed.
Comment 183 Ed Maste freebsd_committer 2018-11-22 20:38:07 UTC
ffs2recov failure is not due to lld:

./ffs2recov.h:78:12: error: conflicting types for 'getinode'
extern int getinode(struct uufsd *, void *, struct ufs2_dinode *);
           ^
/usr/include/libufs.h:143:5: note: previous declaration is here
int getinode(struct uufsd *, union dinodep *, ino_t);
    ^
Comment 184 Antoine Brodin freebsd_committer 2018-11-24 20:42:53 UTC
(In reply to Ed Maste from comment #182)
multimedia/mplayer causes 29 skipped
math/p5-Math-Pari causes 12 skipped
audio/deadbeef causes 8 skipped
multimedia/transcode causes 6 skipped
multimedia/mencoder causes 3 skipped
Comment 185 Ed Maste freebsd_committer 2018-11-26 21:07:47 UTC
(In reply to Antoine Brodin from comment #184)
Thanks Antoine,

audio/mplayer doesn't look like a typical lld failure:
> Error: The GUI requires either FreeType or bitmap font support.
Of course it could be some secondary failure (e.g. a configure test that breaks because of a linker problem.)

math/p5-Math-Pari has a patch waiting in PR230213

audio/deadbeef tracked in 233412

multimedia/transcode and multimedia/mencoder look like typical i386 ports issues (non-PIC code in shared object):
> /usr/bin/ld: error: can't create dynamic relocation R_386_32 against local symbol in readonly segment; recompile object files with -fPIC

> /usr/bin/ld: error: can't create dynamic relocation R_386_32 against symbol: vo_sub in readonly segment; recompile object files with -fPIC
> >>> defined in sub/sub.o
> >>> referenced by mencoder.c
> >>>               mencoder.o:(set_osd_subtitle)

I will try to look at these last three (they probably just need LDFLAGS=-Wl,-znotext, LLD_UNSAFE=yes, or CFLAGS=-fPIC).

What would you suggest as the threshold gating lld as /usr/bin/ld on i386 by default?  Some port maintainers have expressed a willingness to address issues with lld in their ports, but planned to wait until the issue is reproducible on HEAD with default options.
Comment 186 Ed Maste freebsd_committer 2018-11-26 21:11:21 UTC
Created attachment 199581 [details]
failing port list

Add list of failing ports for local poudriere testing
Comment 187 Jan Beich freebsd_committer 2018-11-26 21:37:37 UTC
(In reply to Ed Maste from comment #185)
> audio/mplayer doesn't look like a typical lld failure:
>> Error: The GUI requires either FreeType or bitmap font support.

Try looking inside config.log. FreeType is disabled because iconv() detection fails which itself fails due to auto-enabled -pie. On amd64 configure appends -fpie, assuming shared libraries are built with -fPIC, but on i386 this is not required.

$ cat >a.c
#include <stdio.h>

int main()
{
  printf("Hello World\n");
  return 0;
}

$ cc a.c -pie
/usr/bin/ld: error: can't create dynamic relocation R_386_32 against symbol: .L.str in readonly segment; recompile object files with -fPIC
>>> defined in /tmp/a-5c8390.o
>>> referenced by a.c
>>>               /tmp/a-5c8390.o:(main)
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 188 Ed Maste freebsd_committer 2018-11-26 21:49:00 UTC
> On amd64 configure appends -fpie, assuming shared libraries are built with
> -fPIC, but on i386 this is not required.

Which part do you mean is not required on i386: appending -fpie, or building shared libraries with -fPIC?
Comment 189 Ed Maste freebsd_committer 2018-12-13 13:01:20 UTC
I would like to request another exp-run as the Clang & LLD 7.0.1 import has been merged.